/**
  * @module vue-mdc-adapterbutton 0.5.2
  * @exports VueMDCButton
  * @copyright (c) 2017-present, Sebastien Tasson
  * @license https://opensource.org/licenses/MIT
  * @implements {"material-components-web":"0.26.0"}
  * @requires {"vue":"^2.5.6"}
  * @see https://github.com/stasson/vue-mdc-adapter
  */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCButton=e()}(this,function(){"use strict";var t=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},e=function(){function t(t,e){for(var i=0;i<e.length;i++){var n=e[i];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(t,n.key,n)}}return function(e,i,n){return i&&t(e.prototype,i),n&&t(e,n),e}}(),i=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)},n=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},a={props:{event:{type:String,required:!1},"event-target":{type:Object,required:!1},"event-args":{type:Array,required:!1}},methods:{dispatchEvent:function(t){if(this.$emit(t.type),this.event){var e=this.eventTarget||this.$root,i=this.eventArgs||[];e.$emit.apply(e,[this.event].concat(function(t){if(Array.isArray(t)){for(var e=0,i=Array(t.length);e<t.length;e++)i[e]=t[e];return i}return Array.from(t)}(i)))}}}},r=function(){function i(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,i),this.adapter_=e}return e(i,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),e(i,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),i}(),s=(function(){function i(){t(this,i)}e(i,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"registerResizeHandler",value:function(t){}},{key:"deregisterResizeHandler",value:function(t){}},{key:"updateCssVariable",value:function(t,e){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",BG_ACTIVE_FILL:"mdc-ripple-upgraded--background-active-fill",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),o={VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},u={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:300,FG_DEACTIVATION_MS:83},c=void 0,d={mouseup:"mousedown",pointerup:"pointerdown",touchend:"touchstart",keyup:"keydown",blur:"focus"},l=function(a){function c(e){t(this,c);var i=n(this,(c.__proto__||Object.getPrototypeOf(c)).call(this,Object.assign(c.defaultAdapter,e)));return i.layoutFrame_=0,i.frame_={width:0,height:0},i.activationState_=i.defaultActivationState_(),i.xfDuration_=0,i.initialSize_=0,i.maxRadius_=0,i.listenerInfos_=[{activate:"touchstart",deactivate:"touchend"},{activate:"pointerdown",deactivate:"pointerup"},{activate:"mousedown",deactivate:"mouseup"},{activate:"keydown",deactivate:"keyup"},{focus:"focus",blur:"blur"}],i.listeners_={activate:function(t){return i.activate_(t)},deactivate:function(t){return i.deactivate_(t)},focus:function(){return requestAnimationFrame(function(){return i.adapter_.addClass(c.cssClasses.BG_FOCUSED)})},blur:function(){return requestAnimationFrame(function(){return i.adapter_.removeClass(c.cssClasses.BG_FOCUSED)})}},i.resizeHandler_=function(){return i.layout()},i.unboundedCoords_={left:0,top:0},i.fgScale_=0,i.activationTimer_=0,i.fgDeactivationRemovalTimer_=0,i.activationAnimationHasEnded_=!1,i.activationTimerCallback_=function(){i.activationAnimationHasEnded_=!0,i.runDeactivationUXLogicIfReady_()},i}return i(c,r),e(c,null,[{key:"cssClasses",get:function(){return s}},{key:"strings",get:function(){return o}},{key:"numbers",get:function(){return u}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),e(c,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationStartTime:0,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var t=this;if(this.isSupported_()){this.addEventListeners_();var e=c.cssClasses,i=e.ROOT,n=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.addClass(i),t.adapter_.isUnbounded()&&t.adapter_.addClass(n),t.layoutInternal_()})}}},{key:"addEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(i){t.adapter_.registerInteractionHandler(e[i],t.listeners_[i])})}),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"activate_",value:function(t){var e=this;if(!this.adapter_.isSurfaceDisabled()){var i=this.activationState_;i.isActivated||(i.isActivated=!0,i.isProgrammatic=null===t,i.activationEvent=t,i.wasActivatedByPointer=!i.isProgrammatic&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type),i.activationStartTime=Date.now(),requestAnimationFrame(function(){i.wasElementMadeActive=!t||"keydown"!==t.type||e.adapter_.isSurfaceActive(),i.wasElementMadeActive?e.animateActivation_():e.activationState_=e.defaultActivationState_()}))}}},{key:"activate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(t)}},{key:"animateActivation_",value:function(){var t=this,e=c.strings,i=e.VAR_FG_TRANSLATE_START,n=e.VAR_FG_TRANSLATE_END,a=c.cssClasses,r=a.BG_ACTIVE_FILL,s=a.FG_DEACTIVATION,o=a.FG_ACTIVATION,u=c.numbers.DEACTIVATION_TIMEOUT_MS,d="",l="";if(!this.adapter_.isUnbounded()){var f=this.getFgTranslationCoordinates_(),v=f.startPoint,p=f.endPoint;d=v.x+"px, "+v.y+"px",l=p.x+"px, "+p.y+"px"}this.adapter_.updateCssVariable(i,d),this.adapter_.updateCssVariable(n,l),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(s),this.adapter_.computeBoundingRect(),this.adapter_.addClass(r),this.adapter_.addClass(o),this.activationTimer_=setTimeout(function(){return t.activationTimerCallback_()},u)}},{key:"getFgTranslationCoordinates_",value:function(){var t=this.activationState_,e=t.activationEvent,i=void 0;return{startPoint:i={x:(i=t.wasActivatedByPointer?function(t,e,i){var n=e.x,a=e.y,r=n+i.left,s=a+i.top,o=void 0,u=void 0;return"touchstart"===t.type?(o=t.changedTouches[0].pageX-r,u=t.changedTouches[0].pageY-s):(o=t.pageX-r,u=t.pageY-s),{x:o,y:u}}(e,this.adapter_.getWindowPageOffset(),this.adapter_.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2}).x-this.initialSize_/2,y:i.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var t=this,e=c.cssClasses.FG_DEACTIVATION,i=this.activationState_,n=i.hasDeactivationUXRun,a=i.isActivated;(n||!a)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(e),this.fgDeactivationRemovalTimer_=setTimeout(function(){t.adapter_.removeClass(e)},u.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var t=c.cssClasses,e=t.BG_ACTIVE_FILL,i=t.FG_ACTIVATION;this.adapter_.removeClass(e),this.adapter_.removeClass(i),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"deactivate_",value:function(t){var e=this,i=this.activationState_;if(i.isActivated){if(i.isProgrammatic){var n=Object.assign({},i);return requestAnimationFrame(function(){return e.animateDeactivation_(null,n)}),void(this.activationState_=this.defaultActivationState_())}var a=d[t.type]===i.activationEvent.type,r=a;i.wasActivatedByPointer&&(r="mouseup"===t.type);var s=Object.assign({},i);requestAnimationFrame(function(){a&&(e.activationState_.hasDeactivationUXRun=!0,e.animateDeactivation_(t,s)),r&&(e.activationState_=e.defaultActivationState_())})}}},{key:"deactivate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(t)}},{key:"animateDeactivation_",value:function(t,e){var i=e.wasActivatedByPointer,n=e.wasElementMadeActive,a=c.cssClasses.BG_FOCUSED;(i||n)&&(this.adapter_.removeClass(a),this.runDeactivationUXLogicIfReady_())}},{key:"destroy",value:function(){var t=this;if(this.isSupported_()){this.removeEventListeners_();var e=c.cssClasses,i=e.ROOT,n=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.removeClass(i),t.adapter_.removeClass(n),t.removeCssVars_()})}}},{key:"removeEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(i){t.adapter_.deregisterInteractionHandler(e[i],t.listeners_[i])})}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"removeCssVars_",value:function(){var t=this,e=c.strings;Object.keys(e).forEach(function(i){0===i.indexOf("VAR_")&&t.adapter_.updateCssVariable(e[i],null)})}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){this.frame_=this.adapter_.computeBoundingRect();var t=Math.max(this.frame_.height,this.frame_.width),e=Math.sqrt(Math.pow(this.frame_.width,2)+Math.pow(this.frame_.height,2));this.initialSize_=t*c.numbers.INITIAL_ORIGIN_SCALE,this.maxRadius_=e+c.numbers.PADDING,this.fgScale_=this.maxRadius_/this.initialSize_,this.xfDuration_=1e3*Math.sqrt(this.maxRadius_/1024),this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var t=c.strings,e=t.VAR_FG_SIZE,i=t.VAR_LEFT,n=t.VAR_TOP,a=t.VAR_FG_SCALE;this.adapter_.updateCssVariable(e,this.initialSize_+"px"),this.adapter_.updateCssVariable(a,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(i,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(n,this.unboundedCoords_.top+"px"))}}]),c}(),f=function(a){function r(e,i){return t(this,r),n(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign({browserSupportsCssVars:function(){return function(t){var e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof c&&!e)return c;if(t.CSS&&"function"==typeof t.CSS.supports){var i=t.CSS.supports("--css-vars","yes"),n=t.CSS.supports("(--css-vars: yes)")&&t.CSS.supports("color","#00000000");return c=!(!i&&!n||function(t){var e=t.document,i=e.createElement("div");i.className="mdc-ripple-surface--test-edge-var-bug",e.body.appendChild(i);var n=t.getComputedStyle(i),a=null!==n&&"solid"===n.borderTopStyle;return i.remove(),a}(t))}}(window)},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isUnbounded:function(){return!1},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},isSurfaceActive:function(){return e.$el[r.MATCHES](":active")},isSurfaceDisabled:function(){return e.disabled},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t)},registerInteractionHandler:function(t,i){e.$el.addEventListener(t,i)},deregisterInteractionHandler:function(t,i){e.$el.removeEventListener(t,i)},updateCssVariable:function(t,i){e.$set(e.styles,t,i)}},i)))}return i(r,l),e(r,null,[{key:"isSurfaceActive",value:function(t){return t[r.MATCHES](":active")}},{key:"MATCHES",get:function(){return r._matches||(r._matches=function(t){return["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(e){return e in t}).pop()}(HTMLElement.prototype))}}]),r}(),v=function(t){return{install:function(e){for(var i in t){var n=t[i];e.component(n.name,n)}},components:t}}({mdcButton:{render:function(){var t=this,e=t.$createElement;return(t._self._c||e)("custom-element",{ref:"root",class:t.classes,style:t.styles,attrs:{tag:t.isLink?"a":"button",href:t.isLink&&t.href,role:t.isLink?"button":void 0,disabled:t.disabled},on:{click:t.dispatchEvent}},[t._t("default")],2)},staticRenderFns:[],name:"mdc-button",mixins:[a,{components:{CustomElement:{name:"custom-element",props:{tag:{type:String,required:!0}},render:function(t){return t(this.tag,{attrs:this.$attrs,on:this.$listeners},this.$slots.default)}}}}],props:{href:String,disabled:Boolean,raised:Boolean,unelevated:Boolean,stroked:Boolean,dense:Boolean,compact:Boolean},computed:{isLink:function(){return this.href&&!this.disabled}},data:function(){return{classes:{"mdc-button":!0,"mdc-button--raised":this.raised,"mdc-button--unelevated":this.unelevated,"mdc-button--stroked":this.stroked,"mdc-button--dense":this.dense,"mdc-button--compact":this.compact},styles:{}}},mounted:function(){this.ripple=new f(this),this.ripple.init()},beforeDestroy:function(){this.ripple.destroy()}}});return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(v),v});
//# sourceMappingURL=index.min.js.map
