/**
  * @module vue-mdc-adapterdialog 0.5.2
  * @exports VueMDCDialog
  * @copyright (c) 2017-present, Sebastien Tasson
  * @license https://opensource.org/licenses/MIT
  * @implements {"material-components-web":"0.26.0"}
  * @requires {"vue":"^2.5.6"}
  * @see https://github.com/stasson/vue-mdc-adapter
  */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):e.VueMDCDialog=t()}(this,function(){"use strict";function e(e){e&&e.focus&&e!==document.activeElement&&(e.focus(),"input"===e.tagName.toLowerCase()&&e.select())}var t=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},n=function(){function e(e,t){for(var n=0;n<t.length;n++){var a=t[n];a.enumerable=a.enumerable||!1,a.configurable=!0,"value"in a&&(a.writable=!0),Object.defineProperty(e,a.key,a)}}return function(t,n,a){return n&&e(t.prototype,n),a&&e(t,a),t}}(),a=function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)},i=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},r=function(){function e(){var n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,e),this.adapter_=n}return n(e,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),n(e,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),e}(),s=(function(){function e(n){var a=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;t(this,e),this.root_=n;for(var i=arguments.length,r=Array(i>2?i-2:0),s=2;s<i;s++)r[s-2]=arguments[s];this.initialize.apply(this,r),this.foundation_=void 0===a?this.getDefaultFoundation():a,this.foundation_.init(),this.initialSyncWithDOM()}n(e,null,[{key:"attachTo",value:function(t){return new e(t,new r)}}]),n(e,[{key:"initialize",value:function(){}},{key:"getDefaultFoundation",value:function(){throw new Error("Subclasses must override getDefaultFoundation to return a properly configured foundation class")}},{key:"initialSyncWithDOM",value:function(){}},{key:"destroy",value:function(){this.foundation_.destroy()}},{key:"listen",value:function(e,t){this.root_.addEventListener(e,t)}},{key:"unlisten",value:function(e,t){this.root_.removeEventListener(e,t)}},{key:"emit",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],a=void 0;"function"==typeof CustomEvent?a=new CustomEvent(e,{detail:t,bubbles:n}):(a=document.createEvent("CustomEvent")).initCustomEvent(e,n,!1,t),this.root_.dispatchEvent(a)}}])}(),{ROOT:"mdc-dialog",OPEN:"mdc-dialog--open",ANIMATING:"mdc-dialog--animating",BACKDROP:"mdc-dialog__backdrop",SCROLL_LOCK:"mdc-dialog-scroll-lock",ACCEPT_BTN:"mdc-dialog__footer__button--accept",CANCEL_BTN:"mdc-dialog__footer__button--cancel"}),o={OPEN_DIALOG_SELECTOR:".mdc-dialog--open",DIALOG_SURFACE_SELECTOR:".mdc-dialog__surface",ACCEPT_SELECTOR:".mdc-dialog__footer__button--accept",ACCEPT_EVENT:"MDCDialog:accept",CANCEL_EVENT:"MDCDialog:cancel"},c=function(e){function c(e){t(this,c);var n=i(this,(c.__proto__||Object.getPrototypeOf(c)).call(this,Object.assign(c.defaultAdapter,e)));return n.isOpen_=!1,n.componentClickHandler_=function(e){n.adapter_.eventTargetHasClass(e.target,s.BACKDROP)&&n.cancel(!0)},n.dialogClickHandler_=function(e){return n.handleDialogClick_(e)},n.documentKeydownHandler_=function(e){(e.key&&"Escape"===e.key||27===e.keyCode)&&n.cancel(!0)},n.transitionEndHandler_=function(e){return n.handleTransitionEnd_(e)},n}return a(c,r),n(c,null,[{key:"cssClasses",get:function(){return s}},{key:"strings",get:function(){return o}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},addBodyClass:function(){},removeBodyClass:function(){},eventTargetHasClass:function(){return!1},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerSurfaceInteractionHandler:function(){},deregisterSurfaceInteractionHandler:function(){},registerDocumentKeydownHandler:function(){},deregisterDocumentKeydownHandler:function(){},registerTransitionEndHandler:function(){},deregisterTransitionEndHandler:function(){},notifyAccept:function(){},notifyCancel:function(){},trapFocusOnSurface:function(){},untrapFocusOnSurface:function(){},isDialog:function(){return!1},layoutFooterRipples:function(){}}}}]),n(c,[{key:"destroy",value:function(){this.isOpen_&&(this.adapter_.deregisterSurfaceInteractionHandler("click",this.dialogClickHandler_),this.adapter_.deregisterDocumentKeydownHandler(this.documentKeydownHandler_),this.adapter_.deregisterInteractionHandler("click",this.componentClickHandler_),this.adapter_.untrapFocusOnSurface(),this.adapter_.deregisterTransitionEndHandler(this.transitionEndHandler_),this.adapter_.removeClass(c.cssClasses.ANIMATING),this.adapter_.removeClass(c.cssClasses.OPEN),this.enableScroll_())}},{key:"open",value:function(){this.isOpen_=!0,this.disableScroll_(),this.adapter_.registerDocumentKeydownHandler(this.documentKeydownHandler_),this.adapter_.registerSurfaceInteractionHandler("click",this.dialogClickHandler_),this.adapter_.registerInteractionHandler("click",this.componentClickHandler_),this.adapter_.registerTransitionEndHandler(this.transitionEndHandler_),this.adapter_.addClass(c.cssClasses.ANIMATING),this.adapter_.addClass(c.cssClasses.OPEN)}},{key:"close",value:function(){this.isOpen_=!1,this.adapter_.deregisterSurfaceInteractionHandler("click",this.dialogClickHandler_),this.adapter_.deregisterDocumentKeydownHandler(this.documentKeydownHandler_),this.adapter_.deregisterInteractionHandler("click",this.componentClickHandler_),this.adapter_.untrapFocusOnSurface(),this.adapter_.registerTransitionEndHandler(this.transitionEndHandler_),this.adapter_.addClass(c.cssClasses.ANIMATING),this.adapter_.removeClass(c.cssClasses.OPEN)}},{key:"isOpen",value:function(){return this.isOpen_}},{key:"accept",value:function(e){e&&this.adapter_.notifyAccept(),this.close()}},{key:"cancel",value:function(e){e&&this.adapter_.notifyCancel(),this.close()}},{key:"handleDialogClick_",value:function(e){var t=e.target;this.adapter_.eventTargetHasClass(t,s.ACCEPT_BTN)?this.accept(!0):this.adapter_.eventTargetHasClass(t,s.CANCEL_BTN)&&this.cancel(!0)}},{key:"handleTransitionEnd_",value:function(e){this.adapter_.isDialog(e.target)&&(this.adapter_.deregisterTransitionEndHandler(this.transitionEndHandler_),this.adapter_.removeClass(c.cssClasses.ANIMATING),this.isOpen_?(this.adapter_.trapFocusOnSurface(),this.adapter_.layoutFooterRipples()):this.enableScroll_())}},{key:"disableScroll_",value:function(){this.adapter_.addBodyClass(s.SCROLL_LOCK)}},{key:"enableScroll_",value:function(){this.adapter_.removeBodyClass(s.SCROLL_LOCK)}}]),c}(),u=function(e,t){t=t||{};var n=e.ownerDocument||e,a=[],i=[],r=function(e){function t(a,i){if(a===e.documentElement)return!1;for(var r=0,s=n.length;r<s;r++)if(n[r][0]===a)return n[r][1];var o=!1;return"none"===(i=i||e.defaultView.getComputedStyle(a)).display?o=!0:a.parentNode&&(o=t(a.parentNode)),n.push([a,o]),o}var n=[];return function(n){if(n===e.documentElement)return!1;var a=e.defaultView.getComputedStyle(n);return!!t(n,a)||"hidden"===a.visibility}}(n),s=["input","select","a[href]","textarea","button","[tabindex]"],o=e.querySelectorAll(s);if(t.includeContainer){var c=Element.prototype.matches||Element.prototype.msMatchesSelector||Element.prototype.webkitMatchesSelector;s.some(function(t){return c.call(e,t)})&&(o=Array.prototype.slice.apply(o)).unshift(e)}for(var u,d,l=0,f=o.length;l<f;l++)u=o[l],(d=parseInt(u.getAttribute("tabindex"),10)||u.tabIndex)<0||"INPUT"===u.tagName&&"hidden"===u.type||u.disabled||r(u,n)||(0===d?a.push(u):i.push({index:l,tabIndex:d,node:u}));var v=i.sort(function(e,t){return e.tabIndex===t.tabIndex?e.index-t.index:e.tabIndex-t.tabIndex}).map(function(e){return e.node});return Array.prototype.push.apply(v,a),v},d=null,l=function(t,n){function a(t){if(y){var n={returnFocus:t&&void 0!==t.returnFocus?t.returnFocus:b.returnFocusOnDeactivate,onDeactivate:t&&void 0!==t.onDeactivate?t.onDeactivate:b.onDeactivate};return r(),n.onDeactivate&&n.onDeactivate(),n.returnFocus&&setTimeout(function(){e(m)},0),y=!1,g=!1,this}}function i(){if(y)return d&&d.pause(),d=A,v(),e(function(){var e;if(!(e=null!==s("initialFocus")?s("initialFocus"):E.contains(document.activeElement)?document.activeElement:p[0]||s("fallbackFocus")))throw new Error("You can't have a focus-trap without at least one focusable element");return e}()),document.addEventListener("focus",l,!0),document.addEventListener("click",c,!0),document.addEventListener("mousedown",o,!0),document.addEventListener("touchstart",o,!0),document.addEventListener("keydown",f,!0),A}function r(){if(y&&d===A)return document.removeEventListener("focus",l,!0),document.removeEventListener("click",c,!0),document.removeEventListener("mousedown",o,!0),document.removeEventListener("touchstart",o,!0),document.removeEventListener("keydown",f,!0),d=null,A}function s(e){var t=b[e],n=t;if(!t)return null;if("string"==typeof t&&!(n=document.querySelector(t)))throw new Error("`"+e+"` refers to no known node");if("function"==typeof t&&!(n=t()))throw new Error("`"+e+"` did not return a node");return n}function o(e){b.clickOutsideDeactivates&&!E.contains(e.target)&&a({returnFocus:!1})}function c(e){b.clickOutsideDeactivates||E.contains(e.target)||(e.preventDefault(),e.stopImmediatePropagation())}function l(t){E.contains(t.target)||(t.preventDefault(),t.stopImmediatePropagation(),"function"==typeof t.target.blur&&t.target.blur(),C&&function(t){if(C.shiftKey)return e(h);e(_)}())}function f(t){"Tab"!==t.key&&9!==t.keyCode||function(t){if(v(),t.target.hasAttribute("tabindex")&&Number(t.target.getAttribute("tabindex"))<0)return C=t;t.preventDefault();var n=p.indexOf(t.target);t.shiftKey?e(t.target===_||-1===p.indexOf(t.target)?h:p[n-1]):t.target===h?e(_):e(p[n+1])}(t),!1!==b.escapeDeactivates&&function(e){return"Escape"===e.key||"Esc"===e.key||27===e.keyCode}(t)&&a()}function v(){p=u(E),_=p[0],h=p[p.length-1]}var p=[],_=null,h=null,m=null,y=!1,g=!1,C=null,E="string"==typeof t?document.querySelector(t):t,b=n||{};b.returnFocusOnDeactivate=!n||void 0===n.returnFocusOnDeactivate||n.returnFocusOnDeactivate,b.escapeDeactivates=!n||void 0===n.escapeDeactivates||n.escapeDeactivates;var A={activate:function(e){if(!y){var t={onActivate:e&&void 0!==e.onActivate?e.onActivate:b.onActivate};return y=!0,g=!1,m=document.activeElement,t.onActivate&&t.onActivate(),i(),A}},deactivate:a,pause:function(){!g&&y&&(g=!0,r())},unpause:function(){g&&y&&(g=!1,i())}};return A},f={props:{event:{type:String,required:!1},"event-target":{type:Object,required:!1},"event-args":{type:Array,required:!1}},methods:{dispatchEvent:function(e){if(this.$emit(e.type),this.event){var t=this.eventTarget||this.$root,n=this.eventArgs||[];t.$emit.apply(t,[this.event].concat(function(e){if(Array.isArray(e)){for(var t=0,n=Array(e.length);t<e.length;t++)n[t]=e[t];return n}return Array.from(e)}(n)))}}}},v=(function(){function e(){t(this,e)}n(e,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(e){}},{key:"removeClass",value:function(e){}},{key:"registerInteractionHandler",value:function(e,t){}},{key:"deregisterInteractionHandler",value:function(e,t){}},{key:"registerResizeHandler",value:function(e){}},{key:"deregisterResizeHandler",value:function(e){}},{key:"updateCssVariable",value:function(e,t){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",BG_ACTIVE_FILL:"mdc-ripple-upgraded--background-active-fill",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),p={VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},_={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:300,FG_DEACTIVATION_MS:83},h=void 0,m={mouseup:"mousedown",pointerup:"pointerdown",touchend:"touchstart",keyup:"keydown",blur:"focus"},y=function(e){function s(e){t(this,s);var n=i(this,(s.__proto__||Object.getPrototypeOf(s)).call(this,Object.assign(s.defaultAdapter,e)));return n.layoutFrame_=0,n.frame_={width:0,height:0},n.activationState_=n.defaultActivationState_(),n.xfDuration_=0,n.initialSize_=0,n.maxRadius_=0,n.listenerInfos_=[{activate:"touchstart",deactivate:"touchend"},{activate:"pointerdown",deactivate:"pointerup"},{activate:"mousedown",deactivate:"mouseup"},{activate:"keydown",deactivate:"keyup"},{focus:"focus",blur:"blur"}],n.listeners_={activate:function(e){return n.activate_(e)},deactivate:function(e){return n.deactivate_(e)},focus:function(){return requestAnimationFrame(function(){return n.adapter_.addClass(s.cssClasses.BG_FOCUSED)})},blur:function(){return requestAnimationFrame(function(){return n.adapter_.removeClass(s.cssClasses.BG_FOCUSED)})}},n.resizeHandler_=function(){return n.layout()},n.unboundedCoords_={left:0,top:0},n.fgScale_=0,n.activationTimer_=0,n.fgDeactivationRemovalTimer_=0,n.activationAnimationHasEnded_=!1,n.activationTimerCallback_=function(){n.activationAnimationHasEnded_=!0,n.runDeactivationUXLogicIfReady_()},n}return a(s,r),n(s,null,[{key:"cssClasses",get:function(){return v}},{key:"strings",get:function(){return p}},{key:"numbers",get:function(){return _}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),n(s,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationStartTime:0,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var e=this;if(this.isSupported_()){this.addEventListeners_();var t=s.cssClasses,n=t.ROOT,a=t.UNBOUNDED;requestAnimationFrame(function(){e.adapter_.addClass(n),e.adapter_.isUnbounded()&&e.adapter_.addClass(a),e.layoutInternal_()})}}},{key:"addEventListeners_",value:function(){var e=this;this.listenerInfos_.forEach(function(t){Object.keys(t).forEach(function(n){e.adapter_.registerInteractionHandler(t[n],e.listeners_[n])})}),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"activate_",value:function(e){var t=this;if(!this.adapter_.isSurfaceDisabled()){var n=this.activationState_;n.isActivated||(n.isActivated=!0,n.isProgrammatic=null===e,n.activationEvent=e,n.wasActivatedByPointer=!n.isProgrammatic&&("mousedown"===e.type||"touchstart"===e.type||"pointerdown"===e.type),n.activationStartTime=Date.now(),requestAnimationFrame(function(){n.wasElementMadeActive=!e||"keydown"!==e.type||t.adapter_.isSurfaceActive(),n.wasElementMadeActive?t.animateActivation_():t.activationState_=t.defaultActivationState_()}))}}},{key:"activate",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(e)}},{key:"animateActivation_",value:function(){var e=this,t=s.strings,n=t.VAR_FG_TRANSLATE_START,a=t.VAR_FG_TRANSLATE_END,i=s.cssClasses,r=i.BG_ACTIVE_FILL,o=i.FG_DEACTIVATION,c=i.FG_ACTIVATION,u=s.numbers.DEACTIVATION_TIMEOUT_MS,d="",l="";if(!this.adapter_.isUnbounded()){var f=this.getFgTranslationCoordinates_(),v=f.startPoint,p=f.endPoint;d=v.x+"px, "+v.y+"px",l=p.x+"px, "+p.y+"px"}this.adapter_.updateCssVariable(n,d),this.adapter_.updateCssVariable(a,l),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(o),this.adapter_.computeBoundingRect(),this.adapter_.addClass(r),this.adapter_.addClass(c),this.activationTimer_=setTimeout(function(){return e.activationTimerCallback_()},u)}},{key:"getFgTranslationCoordinates_",value:function(){var e=this.activationState_,t=e.activationEvent,n=void 0;return{startPoint:n={x:(n=e.wasActivatedByPointer?function(e,t,n){var a=t.x,i=t.y,r=a+n.left,s=i+n.top,o=void 0,c=void 0;return"touchstart"===e.type?(o=e.changedTouches[0].pageX-r,c=e.changedTouches[0].pageY-s):(o=e.pageX-r,c=e.pageY-s),{x:o,y:c}}(t,this.adapter_.getWindowPageOffset(),this.adapter_.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2}).x-this.initialSize_/2,y:n.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var e=this,t=s.cssClasses.FG_DEACTIVATION,n=this.activationState_,a=n.hasDeactivationUXRun,i=n.isActivated;(a||!i)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(t),this.fgDeactivationRemovalTimer_=setTimeout(function(){e.adapter_.removeClass(t)},_.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var e=s.cssClasses,t=e.BG_ACTIVE_FILL,n=e.FG_ACTIVATION;this.adapter_.removeClass(t),this.adapter_.removeClass(n),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"deactivate_",value:function(e){var t=this,n=this.activationState_;if(n.isActivated){if(n.isProgrammatic){var a=Object.assign({},n);return requestAnimationFrame(function(){return t.animateDeactivation_(null,a)}),void(this.activationState_=this.defaultActivationState_())}var i=m[e.type]===n.activationEvent.type,r=i;n.wasActivatedByPointer&&(r="mouseup"===e.type);var s=Object.assign({},n);requestAnimationFrame(function(){i&&(t.activationState_.hasDeactivationUXRun=!0,t.animateDeactivation_(e,s)),r&&(t.activationState_=t.defaultActivationState_())})}}},{key:"deactivate",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(e)}},{key:"animateDeactivation_",value:function(e,t){var n=t.wasActivatedByPointer,a=t.wasElementMadeActive,i=s.cssClasses.BG_FOCUSED;(n||a)&&(this.adapter_.removeClass(i),this.runDeactivationUXLogicIfReady_())}},{key:"destroy",value:function(){var e=this;if(this.isSupported_()){this.removeEventListeners_();var t=s.cssClasses,n=t.ROOT,a=t.UNBOUNDED;requestAnimationFrame(function(){e.adapter_.removeClass(n),e.adapter_.removeClass(a),e.removeCssVars_()})}}},{key:"removeEventListeners_",value:function(){var e=this;this.listenerInfos_.forEach(function(t){Object.keys(t).forEach(function(n){e.adapter_.deregisterInteractionHandler(t[n],e.listeners_[n])})}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"removeCssVars_",value:function(){var e=this,t=s.strings;Object.keys(t).forEach(function(n){0===n.indexOf("VAR_")&&e.adapter_.updateCssVariable(t[n],null)})}},{key:"layout",value:function(){var e=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){e.layoutInternal_(),e.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){this.frame_=this.adapter_.computeBoundingRect();var e=Math.max(this.frame_.height,this.frame_.width),t=Math.sqrt(Math.pow(this.frame_.width,2)+Math.pow(this.frame_.height,2));this.initialSize_=e*s.numbers.INITIAL_ORIGIN_SCALE,this.maxRadius_=t+s.numbers.PADDING,this.fgScale_=this.maxRadius_/this.initialSize_,this.xfDuration_=1e3*Math.sqrt(this.maxRadius_/1024),this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var e=s.strings,t=e.VAR_FG_SIZE,n=e.VAR_LEFT,a=e.VAR_TOP,i=e.VAR_FG_SCALE;this.adapter_.updateCssVariable(t,this.initialSize_+"px"),this.adapter_.updateCssVariable(i,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(n,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(a,this.unboundedCoords_.top+"px"))}}]),s}(),g=function(e){function r(e,n){return t(this,r),i(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign({browserSupportsCssVars:function(){return function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof h&&!t)return h;if(e.CSS&&"function"==typeof e.CSS.supports){var n=e.CSS.supports("--css-vars","yes"),a=e.CSS.supports("(--css-vars: yes)")&&e.CSS.supports("color","#00000000");return h=!(!n&&!a||function(e){var t=e.document,n=t.createElement("div");n.className="mdc-ripple-surface--test-edge-var-bug",t.body.appendChild(n);var a=e.getComputedStyle(n),i=null!==a&&"solid"===a.borderTopStyle;return n.remove(),i}(e))}}(window)},registerResizeHandler:function(e){return window.addEventListener("resize",e)},deregisterResizeHandler:function(e){return window.removeEventListener("resize",e)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isUnbounded:function(){return!1},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},isSurfaceActive:function(){return e.$el[r.MATCHES](":active")},isSurfaceDisabled:function(){return e.disabled},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t)},registerInteractionHandler:function(t,n){e.$el.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){e.$el.removeEventListener(t,n)},updateCssVariable:function(t,n){e.$set(e.styles,t,n)}},n)))}return a(r,y),n(r,null,[{key:"isSurfaceActive",value:function(e){return e[r.MATCHES](":active")}},{key:"MATCHES",get:function(){return r._matches||(r._matches=function(e){return["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(t){return t in e}).pop()}(HTMLElement.prototype))}}]),r}(),C={render:function(){var e=this,t=e.$createElement;return(e._self._c||t)("custom-element",{ref:"root",class:e.classes,style:e.styles,attrs:{tag:e.isLink?"a":"button",href:e.isLink&&e.href,role:e.isLink?"button":void 0,disabled:e.disabled},on:{click:e.dispatchEvent}},[e._t("default")],2)},staticRenderFns:[],name:"mdc-button",mixins:[f,{components:{CustomElement:{name:"custom-element",props:{tag:{type:String,required:!0}},render:function(e){return e(this.tag,{attrs:this.$attrs,on:this.$listeners},this.$slots.default)}}}}],props:{href:String,disabled:Boolean,raised:Boolean,unelevated:Boolean,stroked:Boolean,dense:Boolean,compact:Boolean},computed:{isLink:function(){return this.href&&!this.disabled}},data:function(){return{classes:{"mdc-button":!0,"mdc-button--raised":this.raised,"mdc-button--unelevated":this.unelevated,"mdc-button--stroked":this.stroked,"mdc-button--dense":this.dense,"mdc-button--compact":this.compact},styles:{}}},mounted:function(){this.ripple=new g(this),this.ripple.init()},beforeDestroy:function(){this.ripple.destroy()}},E=function(e){return{install:function(t){for(var n in e){var a=e[n];t.component(a.name,a)}},components:e}}({mdcDialog:{render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("aside",{ref:"root",staticClass:"mdc-dialog",class:e.classes,style:e.styles,attrs:{role:"alertdialog","aria-labelledby":"label"+e._uid,"aria-describedby":"desc"+e._uid}},[n("div",{ref:"surface",staticClass:"mdc-dialog__surface",class:e.surfaceClasses},[n("header",{staticClass:"mdc-dialog__header"},[n("h2",{staticClass:"mdc-dialog__header__title",attrs:{id:"label"+e._uid}},[e._v(" "+e._s(e.title)+" ")])]),e._v(" "),n("section",{staticClass:"mdc-dialog__body",class:e.bodyClasses,attrs:{id:"desc"+e._uid}},[e._t("default")],2),e._v(" "),n("footer",{staticClass:"mdc-dialog__footer"},[e.cancel?n("mdcButton",{ref:"cancel",staticClass:"mdc-dialog__footer__button mdc-dialog__footer__button--cancel"},[e._v(" "+e._s(e.cancel)+" ")]):e._e(),e._v(" "),n("mdcButton",{ref:"accept",staticClass:"mdc-dialog__footer__button mdc-dialog__footer__button--accept"},[e._v(" "+e._s(e.accept)+" ")])],1)]),e._v(" "),n("div",{staticClass:"mdc-dialog__backdrop"})])},staticRenderFns:[],name:"mdc-dialog",props:{title:{type:String,required:!0},accept:{type:String,default:"Ok"},cancel:{type:String,default:"Cancel"},scrollable:Boolean,dark:Boolean},components:{mdcButton:C},data:function(){return{classes:{"mdc-theme--dark":this.dark},styles:{},surfaceClasses:{},bodyClasses:{"mdc-dialog__body--scrollable":this.scrollable}}},mounted:function(){var e=this;this.focusTrap=function(e,t){return(arguments.length>2&&void 0!==arguments[2]?arguments[2]:l)(e,{initialFocus:t,clickOutsideDeactivates:!0})}(this.$refs.surface,this.$refs.accept),this.foundation=new c({addClass:function(t){return e.$set(e.classes,t,!0)},removeClass:function(t){return e.$delete(e.classes,t)},addBodyClass:function(e){return document.body.classList.add(e)},removeBodyClass:function(e){return document.body.classList.remove(e)},eventTargetHasClass:function(e,t){return e.classList.contains(t)},registerInteractionHandler:function(t,n){return e.$refs.root.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){return e.$refs.root.removeEventListener(t,n)},registerSurfaceInteractionHandler:function(t,n){return e.$refs.surface.addEventListener(t,n)},deregisterSurfaceInteractionHandler:function(t,n){return e.$refs.surface.removeEventListener(t,n)},registerDocumentKeydownHandler:function(e){return document.addEventListener("keydown",e)},deregisterDocumentKeydownHandler:function(e){return document.removeEventListener("keydown",e)},registerTransitionEndHandler:function(t){return e.$refs.surface.addEventListener("transitionend",t)},deregisterTransitionEndHandler:function(t){return e.$refs.surface.removeEventListener("transitionend",t)},notifyAccept:function(){return e.$emit("accept")},notifyCancel:function(){return e.$emit("cancel")},trapFocusOnSurface:function(){return e.focusTrap.activate()},untrapFocusOnSurface:function(){return e.focusTrap.deactivate()},isDialog:function(t){return e.$refs.surface===t},layoutFooterRipples:function(){e.$refs.accept.ripple.layout(),e.cancel&&e.$refs.cancel.ripple.layout()}}),this.foundation.init()},beforeDestroy:function(){this.foundation.destroy()},methods:{show:function(){this.foundation.open()},close:function(){this.foundation.close()}}}});return function(e){var t=null;"undefined"!=typeof window?t=window.Vue:"undefined"!=typeof global&&(t=global.Vue),t&&t.use(e)}(E),E});
//# sourceMappingURL=index.min.js.map
