/**
  * @module vue-mdc-adapterselect 0.5.2
  * @exports VueMDCSelect
  * @copyright (c) 2017-present, Sebastien Tasson
  * @license https://opensource.org/licenses/MIT
  * @implements {"material-components-web":"0.26.0"}
  * @requires {"vue":"^2.5.6"}
  * @see https://github.com/stasson/vue-mdc-adapter
  */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):e.VueMDCSelect=t()}(this,function(){"use strict";function e(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===p||t){var n="transform"in e.document.createElement("div").style?"transform":"webkitTransform";p=n}return p}function t(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1;return Math.min(n,Math.max(t,e))}function n(e,t,n,r,a){return i(function(e,t,n){if(e<=0)return 0;if(e>=1)return 1;for(var r=e,a=0,s=1,o=0,u=0;u<8;u++){o=i(r,t,n);var c=(i(r+1e-6,t,n)-o)/1e-6;if(Math.abs(o-e)<1e-6)return r;if(Math.abs(c)<1e-6)break;o<e?a=r:s=r,r-=(o-e)/c}for(var l=0;Math.abs(o-e)>1e-6&&l<8;l++)o<e?(a=r,r=(r+s)/2):(s=r,r=(r+a)/2),o=i(r,t,n);return r}(e,t,r),n,a)}function i(e,t,n){if(0===e||1===e)return e;var i=e*t,r=t+e*(n-t);return i+=e*(r-i),r+=e*(n+e*(1-n)-r),i+e*(r-i)}function r(e,t,n){var i=arguments.length>3&&void 0!==arguments[3]&&arguments[3],r=void 0;"function"==typeof CustomEvent?r=new CustomEvent(t,{detail:n,bubbles:i}):(r=document.createEvent("CustomEvent")).initCustomEvent(t,i,!1,n),e.dispatchEvent(r)}var a={render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("select",{directives:[{name:"model",rawName:"v-model",value:e.selected,expression:"selected"}],ref:"root",staticClass:"mdc-select mdc-native-select",attrs:{disabled:e.disabled},on:{change:[function(t){var n=Array.prototype.filter.call(t.target.options,function(e){return e.selected}).map(function(e){return"_value"in e?e._value:e.value});e.selected=t.target.multiple?n:n[0]},e.onChange]}},[e.label?n("option",{attrs:{disabled:"disabled",value:""}},[e._v(e._s(e.label))]):e._e(),e._v(" "),e._t("default")],2)},staticRenderFns:[],name:"mdc-native-select",model:{prop:"value",event:"change"},props:{value:[String,Array],disabled:Boolean,label:String},data:function(){return{selected:this.value}},methods:{onChange:function(){this.$emit("change",this.selected)}}},s=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},o=function(){function e(e,t){for(var n=0;n<t.length;n++){var i=t[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(e,i.key,i)}}return function(t,n,i){return n&&e(t.prototype,n),i&&e(t,i),t}}(),u=function(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e},c=function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)},l=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},d=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};s(this,e),this.adapter_=t}return o(e,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),o(e,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),e}(),f=(function(){function e(){s(this,e)}o(e,[{key:"addClass",value:function(e){}},{key:"removeClass",value:function(e){}},{key:"hasClass",value:function(e){}},{key:"hasNecessaryDom",value:function(){}},{key:"getAttributeForEventTarget",value:function(e,t){}},{key:"getInnerDimensions",value:function(){}},{key:"hasAnchor",value:function(){}},{key:"getAnchorDimensions",value:function(){}},{key:"getWindowDimensions",value:function(){}},{key:"setScale",value:function(e,t){}},{key:"setInnerScale",value:function(e,t){}},{key:"getNumberOfItems",value:function(){}},{key:"registerInteractionHandler",value:function(e,t){}},{key:"deregisterInteractionHandler",value:function(e,t){}},{key:"registerBodyClickHandler",value:function(e){}},{key:"deregisterBodyClickHandler",value:function(e){}},{key:"getYParamsForItemAtIndex",value:function(e){}},{key:"setTransitionDelayForItemAtIndex",value:function(e,t){}},{key:"getIndexForEventTarget",value:function(e){}},{key:"notifySelected",value:function(e){}},{key:"notifyCancel",value:function(){}},{key:"saveFocus",value:function(){}},{key:"restoreFocus",value:function(){}},{key:"isFocused",value:function(){}},{key:"focus",value:function(){}},{key:"getFocusedItemIndex",value:function(){}},{key:"focusItemAtIndex",value:function(e){}},{key:"isRtl",value:function(){}},{key:"setTransformOrigin",value:function(e){}},{key:"setPosition",value:function(e){}},{key:"getAccurateTime",value:function(){}}])}(),{ROOT:"mdc-simple-menu",OPEN:"mdc-simple-menu--open",ANIMATING:"mdc-simple-menu--animating",TOP_RIGHT:"mdc-simple-menu--open-from-top-right",BOTTOM_LEFT:"mdc-simple-menu--open-from-bottom-left",BOTTOM_RIGHT:"mdc-simple-menu--open-from-bottom-right"}),m={ITEMS_SELECTOR:".mdc-simple-menu__items",SELECTED_EVENT:"MDCSimpleMenu:selected",CANCEL_EVENT:"MDCSimpleMenu:cancel",ARIA_DISABLED_ATTR:"aria-disabled"},h={SELECTED_TRIGGER_DELAY:50,TRANSITION_DURATION_MS:300,TRANSITION_SCALE_ADJUSTMENT_X:.5,TRANSITION_SCALE_ADJUSTMENT_Y:.2,TRANSITION_X1:0,TRANSITION_Y1:0,TRANSITION_X2:.2,TRANSITION_Y2:1},p=void 0,_=function(e){function i(e){s(this,i);var t=l(this,(i.__proto__||Object.getPrototypeOf(i)).call(this,Object.assign(i.defaultAdapter,e)));return t.clickHandler_=function(e){return t.handlePossibleSelected_(e)},t.keydownHandler_=function(e){return t.handleKeyboardDown_(e)},t.keyupHandler_=function(e){return t.handleKeyboardUp_(e)},t.documentClickHandler_=function(e){t.adapter_.notifyCancel(),t.close(e)},t.isOpen_=!1,t.startScaleX_=0,t.startScaleY_=0,t.targetScale_=1,t.scaleX_=0,t.scaleY_=0,t.running_=!1,t.selectedTriggerTimerId_=0,t.animationRequestId_=0,t.dimensions_,t.startTime_,t.itemHeight_,t}return c(i,d),o(i,null,[{key:"cssClasses",get:function(){return f}},{key:"strings",get:function(){return m}},{key:"numbers",get:function(){return h}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){return!1},hasNecessaryDom:function(){return!1},getAttributeForEventTarget:function(){},getInnerDimensions:function(){return{}},hasAnchor:function(){return!1},getAnchorDimensions:function(){return{}},getWindowDimensions:function(){return{}},setScale:function(){},setInnerScale:function(){},getNumberOfItems:function(){return 0},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerBodyClickHandler:function(){},deregisterBodyClickHandler:function(){},getYParamsForItemAtIndex:function(){return{}},setTransitionDelayForItemAtIndex:function(){},getIndexForEventTarget:function(){return 0},notifySelected:function(){},notifyCancel:function(){},saveFocus:function(){},restoreFocus:function(){},isFocused:function(){return!1},focus:function(){},getFocusedItemIndex:function(){return-1},focusItemAtIndex:function(){},isRtl:function(){return!1},setTransformOrigin:function(){},setPosition:function(){},getAccurateTime:function(){return 0}}}}]),o(i,[{key:"init",value:function(){var e=i.cssClasses,t=e.ROOT,n=e.OPEN;if(!this.adapter_.hasClass(t))throw new Error(t+" class required in root element.");if(!this.adapter_.hasNecessaryDom())throw new Error("Required DOM nodes missing in "+t+" component.");this.adapter_.hasClass(n)&&(this.isOpen_=!0),this.adapter_.registerInteractionHandler("click",this.clickHandler_),this.adapter_.registerInteractionHandler("keyup",this.keyupHandler_),this.adapter_.registerInteractionHandler("keydown",this.keydownHandler_)}},{key:"destroy",value:function(){clearTimeout(this.selectedTriggerTimerId_),cancelAnimationFrame(this.animationRequestId_),this.adapter_.deregisterInteractionHandler("click",this.clickHandler_),this.adapter_.deregisterInteractionHandler("keyup",this.keyupHandler_),this.adapter_.deregisterInteractionHandler("keydown",this.keydownHandler_),this.adapter_.deregisterBodyClickHandler(this.documentClickHandler_)}},{key:"applyTransitionDelays_",value:function(){for(var e=i.cssClasses,t=e.BOTTOM_LEFT,n=e.BOTTOM_RIGHT,r=this.adapter_.getNumberOfItems(),a=this.dimensions_.height,s=i.numbers.TRANSITION_DURATION_MS/1e3,o=i.numbers.TRANSITION_SCALE_ADJUSTMENT_Y,u=0;u<r;u++){var c=this.adapter_.getYParamsForItemAtIndex(u),l=c.top,d=c.height;this.itemHeight_=d;var f=l/a;(this.adapter_.hasClass(t)||this.adapter_.hasClass(n))&&(f=(a-l-d)/a);var m=(o+f*(1-o))*s;this.adapter_.setTransitionDelayForItemAtIndex(u,m.toFixed(3)+"s")}}},{key:"removeTransitionDelays_",value:function(){for(var e=this.adapter_.getNumberOfItems(),t=0;t<e;t++)this.adapter_.setTransitionDelayForItemAtIndex(t,null)}},{key:"animationLoop_",value:function(){var e=this,r=this.adapter_.getAccurateTime(),a=i.numbers,s=a.TRANSITION_DURATION_MS,o=a.TRANSITION_X1,u=a.TRANSITION_Y1,c=a.TRANSITION_X2,l=a.TRANSITION_Y2,d=a.TRANSITION_SCALE_ADJUSTMENT_X,f=a.TRANSITION_SCALE_ADJUSTMENT_Y,m=t((r-this.startTime_)/s),h=t((m-d)/(1-d)),p=m,_=this.startScaleY_;1===this.targetScale_&&(this.itemHeight_&&(_=Math.max(this.itemHeight_/this.dimensions_.height,_)),h=t(m+d),p=t((m-f)/(1-f)));var v=n(h,o,u,c,l),g=n(p,o,u,c,l);this.scaleX_=this.startScaleX_+(this.targetScale_-this.startScaleX_)*v;var y=1/(0===this.scaleX_?1:this.scaleX_);this.scaleY_=_+(this.targetScale_-_)*g;var I=1/(0===this.scaleY_?1:this.scaleY_);this.adapter_.setScale(this.scaleX_,this.scaleY_),this.adapter_.setInnerScale(y,I),m<1?this.animationRequestId_=requestAnimationFrame(function(){return e.animationLoop_()}):(this.animationRequestId_=0,this.running_=!1,this.adapter_.removeClass(i.cssClasses.ANIMATING))}},{key:"animateMenu_",value:function(){var e=this;this.startTime_=this.adapter_.getAccurateTime(),this.startScaleX_=this.scaleX_,this.startScaleY_=this.scaleY_,this.targetScale_=this.isOpen_?1:0,this.running_||(this.running_=!0,this.animationRequestId_=requestAnimationFrame(function(){return e.animationLoop_()}))}},{key:"focusOnOpen_",value:function(e){null===e?(this.adapter_.focus(),this.adapter_.isFocused()||this.adapter_.focusItemAtIndex(0)):this.adapter_.focusItemAtIndex(e)}},{key:"handleKeyboardDown_",value:function(e){if(e.altKey||e.ctrlKey||e.metaKey)return!0;var t=e.keyCode,n=e.key,i=e.shiftKey,r="Tab"===n||9===t,a="ArrowUp"===n||38===t,s="ArrowDown"===n||40===t,o="Space"===n||32===t,u=this.adapter_.getFocusedItemIndex(),c=this.adapter_.getNumberOfItems()-1;return i&&r&&0===u?(this.adapter_.focusItemAtIndex(c),e.preventDefault(),!1):!i&&r&&u===c?(this.adapter_.focusItemAtIndex(0),e.preventDefault(),!1):((a||s||o)&&e.preventDefault(),a?0===u||this.adapter_.isFocused()?this.adapter_.focusItemAtIndex(c):this.adapter_.focusItemAtIndex(u-1):s&&(u===c||this.adapter_.isFocused()?this.adapter_.focusItemAtIndex(0):this.adapter_.focusItemAtIndex(u+1)),!0)}},{key:"handleKeyboardUp_",value:function(e){if(e.altKey||e.ctrlKey||e.metaKey)return!0;var t=e.keyCode,n=e.key,i="Escape"===n||27===t;return("Enter"===n||13===t||("Space"===n||32===t))&&this.handlePossibleSelected_(e),i&&(this.adapter_.notifyCancel(),this.close()),!0}},{key:"handlePossibleSelected_",value:function(e){var t=this;if("true"!==this.adapter_.getAttributeForEventTarget(e.target,m.ARIA_DISABLED_ATTR)){var n=this.adapter_.getIndexForEventTarget(e.target);n<0||this.selectedTriggerTimerId_||(this.selectedTriggerTimerId_=setTimeout(function(){t.selectedTriggerTimerId_=0,t.close(),t.adapter_.notifySelected({index:n})},h.SELECTED_TRIGGER_DELAY))}}},{key:"autoPosition_",value:function(){var e;if(this.adapter_.hasAnchor()){var t="top",n="left",i=this.adapter_.getAnchorDimensions(),r=this.adapter_.getWindowDimensions(),a=i.top+this.dimensions_.height-r.height,s=this.dimensions_.height-i.bottom;a>0&&s<a&&(t="bottom");var o=i.left+this.dimensions_.width-r.width,c=this.dimensions_.width-i.right,l=o>0,d=c>0;this.adapter_.isRtl()?(n="right",d&&o<c&&(n="left")):l&&c<o&&(n="right");var f=(e={},u(e,n,"0"),u(e,t,"0"),e);this.adapter_.setTransformOrigin(t+" "+n),this.adapter_.setPosition(f)}}},{key:"open",value:function(){var e=this,t=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).focusIndex,n=void 0===t?null:t;this.adapter_.saveFocus(),this.adapter_.addClass(i.cssClasses.ANIMATING),this.animationRequestId_=requestAnimationFrame(function(){e.dimensions_=e.adapter_.getInnerDimensions(),e.applyTransitionDelays_(),e.autoPosition_(),e.animateMenu_(),e.adapter_.addClass(i.cssClasses.OPEN),e.focusOnOpen_(n),e.adapter_.registerBodyClickHandler(e.documentClickHandler_)}),this.isOpen_=!0}},{key:"close",value:function(){var e=this,t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;!!t&&"true"===this.adapter_.getAttributeForEventTarget(t.target,m.ARIA_DISABLED_ATTR)||(this.adapter_.deregisterBodyClickHandler(this.documentClickHandler_),this.adapter_.addClass(i.cssClasses.ANIMATING),requestAnimationFrame(function(){e.removeTransitionDelays_(),e.animateMenu_(),e.adapter_.removeClass(i.cssClasses.OPEN)}),this.isOpen_=!1,this.adapter_.restoreFocus())}},{key:"isOpen",value:function(){return this.isOpen_}}]),i}(),v=(function(){function e(){s(this,e)}o(e,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(e){}},{key:"removeClass",value:function(e){}},{key:"registerInteractionHandler",value:function(e,t){}},{key:"deregisterInteractionHandler",value:function(e,t){}},{key:"registerResizeHandler",value:function(e){}},{key:"deregisterResizeHandler",value:function(e){}},{key:"updateCssVariable",value:function(e,t){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",BG_ACTIVE_FILL:"mdc-ripple-upgraded--background-active-fill",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),g={VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},y={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:300,FG_DEACTIVATION_MS:83},I=void 0,b={mouseup:"mousedown",pointerup:"pointerdown",touchend:"touchstart",keyup:"keydown",blur:"focus"},A=function(e){function t(e){s(this,t);var n=l(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,Object.assign(t.defaultAdapter,e)));return n.layoutFrame_=0,n.frame_={width:0,height:0},n.activationState_=n.defaultActivationState_(),n.xfDuration_=0,n.initialSize_=0,n.maxRadius_=0,n.listenerInfos_=[{activate:"touchstart",deactivate:"touchend"},{activate:"pointerdown",deactivate:"pointerup"},{activate:"mousedown",deactivate:"mouseup"},{activate:"keydown",deactivate:"keyup"},{focus:"focus",blur:"blur"}],n.listeners_={activate:function(e){return n.activate_(e)},deactivate:function(e){return n.deactivate_(e)},focus:function(){return requestAnimationFrame(function(){return n.adapter_.addClass(t.cssClasses.BG_FOCUSED)})},blur:function(){return requestAnimationFrame(function(){return n.adapter_.removeClass(t.cssClasses.BG_FOCUSED)})}},n.resizeHandler_=function(){return n.layout()},n.unboundedCoords_={left:0,top:0},n.fgScale_=0,n.activationTimer_=0,n.fgDeactivationRemovalTimer_=0,n.activationAnimationHasEnded_=!1,n.activationTimerCallback_=function(){n.activationAnimationHasEnded_=!0,n.runDeactivationUXLogicIfReady_()},n}return c(t,d),o(t,null,[{key:"cssClasses",get:function(){return v}},{key:"strings",get:function(){return g}},{key:"numbers",get:function(){return y}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),o(t,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationStartTime:0,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var e=this;if(this.isSupported_()){this.addEventListeners_();var n=t.cssClasses,i=n.ROOT,r=n.UNBOUNDED;requestAnimationFrame(function(){e.adapter_.addClass(i),e.adapter_.isUnbounded()&&e.adapter_.addClass(r),e.layoutInternal_()})}}},{key:"addEventListeners_",value:function(){var e=this;this.listenerInfos_.forEach(function(t){Object.keys(t).forEach(function(n){e.adapter_.registerInteractionHandler(t[n],e.listeners_[n])})}),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"activate_",value:function(e){var t=this;if(!this.adapter_.isSurfaceDisabled()){var n=this.activationState_;n.isActivated||(n.isActivated=!0,n.isProgrammatic=null===e,n.activationEvent=e,n.wasActivatedByPointer=!n.isProgrammatic&&("mousedown"===e.type||"touchstart"===e.type||"pointerdown"===e.type),n.activationStartTime=Date.now(),requestAnimationFrame(function(){n.wasElementMadeActive=!e||"keydown"!==e.type||t.adapter_.isSurfaceActive(),n.wasElementMadeActive?t.animateActivation_():t.activationState_=t.defaultActivationState_()}))}}},{key:"activate",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(e)}},{key:"animateActivation_",value:function(){var e=this,n=t.strings,i=n.VAR_FG_TRANSLATE_START,r=n.VAR_FG_TRANSLATE_END,a=t.cssClasses,s=a.BG_ACTIVE_FILL,o=a.FG_DEACTIVATION,u=a.FG_ACTIVATION,c=t.numbers.DEACTIVATION_TIMEOUT_MS,l="",d="";if(!this.adapter_.isUnbounded()){var f=this.getFgTranslationCoordinates_(),m=f.startPoint,h=f.endPoint;l=m.x+"px, "+m.y+"px",d=h.x+"px, "+h.y+"px"}this.adapter_.updateCssVariable(i,l),this.adapter_.updateCssVariable(r,d),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(o),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.adapter_.addClass(u),this.activationTimer_=setTimeout(function(){return e.activationTimerCallback_()},c)}},{key:"getFgTranslationCoordinates_",value:function(){var e=this.activationState_,t=e.activationEvent,n=void 0;return{startPoint:n={x:(n=e.wasActivatedByPointer?function(e,t,n){var i=t.x,r=t.y,a=i+n.left,s=r+n.top,o=void 0,u=void 0;return"touchstart"===e.type?(o=e.changedTouches[0].pageX-a,u=e.changedTouches[0].pageY-s):(o=e.pageX-a,u=e.pageY-s),{x:o,y:u}}(t,this.adapter_.getWindowPageOffset(),this.adapter_.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2}).x-this.initialSize_/2,y:n.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var e=this,n=t.cssClasses.FG_DEACTIVATION,i=this.activationState_,r=i.hasDeactivationUXRun,a=i.isActivated;(r||!a)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(n),this.fgDeactivationRemovalTimer_=setTimeout(function(){e.adapter_.removeClass(n)},y.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var e=t.cssClasses,n=e.BG_ACTIVE_FILL,i=e.FG_ACTIVATION;this.adapter_.removeClass(n),this.adapter_.removeClass(i),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"deactivate_",value:function(e){var t=this,n=this.activationState_;if(n.isActivated){if(n.isProgrammatic){var i=Object.assign({},n);return requestAnimationFrame(function(){return t.animateDeactivation_(null,i)}),void(this.activationState_=this.defaultActivationState_())}var r=b[e.type]===n.activationEvent.type,a=r;n.wasActivatedByPointer&&(a="mouseup"===e.type);var s=Object.assign({},n);requestAnimationFrame(function(){r&&(t.activationState_.hasDeactivationUXRun=!0,t.animateDeactivation_(e,s)),a&&(t.activationState_=t.defaultActivationState_())})}}},{key:"deactivate",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(e)}},{key:"animateDeactivation_",value:function(e,n){var i=n.wasActivatedByPointer,r=n.wasElementMadeActive,a=t.cssClasses.BG_FOCUSED;(i||r)&&(this.adapter_.removeClass(a),this.runDeactivationUXLogicIfReady_())}},{key:"destroy",value:function(){var e=this;if(this.isSupported_()){this.removeEventListeners_();var n=t.cssClasses,i=n.ROOT,r=n.UNBOUNDED;requestAnimationFrame(function(){e.adapter_.removeClass(i),e.adapter_.removeClass(r),e.removeCssVars_()})}}},{key:"removeEventListeners_",value:function(){var e=this;this.listenerInfos_.forEach(function(t){Object.keys(t).forEach(function(n){e.adapter_.deregisterInteractionHandler(t[n],e.listeners_[n])})}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"removeCssVars_",value:function(){var e=this,n=t.strings;Object.keys(n).forEach(function(t){0===t.indexOf("VAR_")&&e.adapter_.updateCssVariable(n[t],null)})}},{key:"layout",value:function(){var e=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){e.layoutInternal_(),e.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){this.frame_=this.adapter_.computeBoundingRect();var e=Math.max(this.frame_.height,this.frame_.width),n=Math.sqrt(Math.pow(this.frame_.width,2)+Math.pow(this.frame_.height,2));this.initialSize_=e*t.numbers.INITIAL_ORIGIN_SCALE,this.maxRadius_=n+t.numbers.PADDING,this.fgScale_=this.maxRadius_/this.initialSize_,this.xfDuration_=1e3*Math.sqrt(this.maxRadius_/1024),this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var e=t.strings,n=e.VAR_FG_SIZE,i=e.VAR_LEFT,r=e.VAR_TOP,a=e.VAR_FG_SCALE;this.adapter_.updateCssVariable(n,this.initialSize_+"px"),this.adapter_.updateCssVariable(a,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(i,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(r,this.unboundedCoords_.top+"px"))}}]),t}(),C=(function(e){function t(e,n){return s(this,t),l(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,Object.assign({browserSupportsCssVars:function(){return function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof I&&!t)return I;if(e.CSS&&"function"==typeof e.CSS.supports){var n=e.CSS.supports("--css-vars","yes"),i=e.CSS.supports("(--css-vars: yes)")&&e.CSS.supports("color","#00000000");return I=!(!n&&!i||function(e){var t=e.document,n=t.createElement("div");n.className="mdc-ripple-surface--test-edge-var-bug",t.body.appendChild(n);var i=e.getComputedStyle(n),r=null!==i&&"solid"===i.borderTopStyle;return n.remove(),r}(e))}}(window)},registerResizeHandler:function(e){return window.addEventListener("resize",e)},deregisterResizeHandler:function(e){return window.removeEventListener("resize",e)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isUnbounded:function(){return!1},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},isSurfaceActive:function(){return e.$el[t.MATCHES](":active")},isSurfaceDisabled:function(){return e.disabled},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t)},registerInteractionHandler:function(t,n){e.$el.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){e.$el.removeEventListener(t,n)},updateCssVariable:function(t,n){e.$set(e.styles,t,n)}},n)))}c(t,A),o(t,null,[{key:"isSurfaceActive",value:function(e){return e[t.MATCHES](":active")}},{key:"MATCHES",get:function(){return t._matches||(t._matches=function(e){return["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(t){return t in e}).pop()}(HTMLElement.prototype))}}])}(),{render:function(){var e=this.$createElement,t=this._self._c||e;return t("div",{ref:"root",staticClass:"mdc-menu mdc-simple-menu",class:this.classes,attrs:{tabindex:"-1"}},[t("ul",{ref:"items",staticClass:"mdc-simple-menu__items mdc-list",attrs:{role:"menu","aria-hidden":this.isOpen()?"false":"true"}},[this._t("default")],2)])},staticRenderFns:[],name:"mdc-menu",props:{"open-from-top-left":Boolean,"open-from-top-right":Boolean,"open-from-bottom-left":Boolean,"open-from-bottom-right":Boolean},data:function(){return{classes:{"mdc-simple-menu--open-from-top-left":this.openFromTopLeft,"mdc-simple-menu--open-from-top-right":this.openFromTopRight,"mdc-simple-menu--open-from-bottom-left":this.openFromBottomLeft,"mdc-simple-menu--open-from-bottom-right":this.openFromBottomRight},items:[]}},methods:{show:function(e){this.foundation.open(e)},hide:function(){this.foundation.close()},isOpen:function(){return!!this.foundation&&this.foundation.isOpen()}},mounted:function(){var t=this,n=function(){t.items=[].slice.call(t.$refs.items.querySelectorAll(".mdc-list-item[role]")),t.$emit("update")};this.slotObserver=new MutationObserver(function(){return n()}),this.slotObserver.observe(this.$el,{childList:!0,subtree:!0});var i=e(window);this._previousFocus=void 0,this.foundation=new _({addClass:function(e){return t.$set(t.classes,e,!0)},removeClass:function(e){return t.$delete(t.classes,e)},hasClass:function(e){return t.$refs.root.classList.contains(e)},hasNecessaryDom:function(){return Boolean(t.$refs.items)},getAttributeForEventTarget:function(e,t){return e.getAttribute(t)},getInnerDimensions:function(){return{width:t.$refs.items.offsetWidth,height:t.$refs.items.offsetHeight}},hasAnchor:function(){return t.$refs.root.parentElement&&t.$refs.root.parentElement.classList.contains("mdc-menu-anchor")},getAnchorDimensions:function(){return t.$refs.root.parentElement.getBoundingClientRect()},getWindowDimensions:function(){return{width:window.innerWidth,height:window.innerHeight}},setScale:function(e,n){t.$refs.root.style[i]="scale("+e+", "+n+")"},setInnerScale:function(e,n){t.$refs.items.style[i]="scale("+e+", "+n+")"},getNumberOfItems:function(){return t.items.length},registerInteractionHandler:function(e,n){return t.$refs.root.addEventListener(e,n)},deregisterInteractionHandler:function(e,n){return t.$refs.root.removeEventListener(e,n)},registerBodyClickHandler:function(e){return document.body.addEventListener("click",e)},deregisterBodyClickHandler:function(e){return document.body.removeEventListener("click",e)},getYParamsForItemAtIndex:function(e){var n=t.items[e];return{top:n.offsetTop,height:n.offsetHeight}},setTransitionDelayForItemAtIndex:function(e,n){return t.items[e].style.setProperty("transition-delay",n)},getIndexForEventTarget:function(e){return t.items.indexOf(e)},notifySelected:function(e){var n={index:e.index,item:t.items[e.index]};t.$emit("select",n),r(t.$el,_.strings.SELECTED_EVENT,n)},notifyCancel:function(){t.$emit("cancel"),r(t.$el,_.strings.CANCEL_EVENT,{})},saveFocus:function(){t._previousFocus=document.activeElement},restoreFocus:function(){t._previousFocus&&t._previousFocus.focus()},isFocused:function(){return document.activeElement===t.$refs.root},focus:function(){return t.$refs.root.focus()},getFocusedItemIndex:function(){return t.items.indexOf(document.activeElement)},focusItemAtIndex:function(e){return t.items[e].focus()},isRtl:function(){return"rtl"===getComputedStyle(t.$refs.root).getPropertyValue("direction")},setTransformOrigin:function(n){t.$refs.root.style[e(window)+"-origin"]=n},setPosition:function(e){t.$refs.root.style.left="left"in e?e.left:null,t.$refs.root.style.right="right"in e?e.right:null,t.$refs.root.style.top="top"in e?e.top:null,t.$refs.root.style.bottom="bottom"in e?e.bottom:null},getAccurateTime:function(){return window.performance.now()}}),this.foundation.clickHandler_=function(e){e.stopPropagation(),t.foundation.handlePossibleSelected_(e)},this.foundation.keydownHandler_=function(e){e.stopPropagation(),t.foundation.handleKeyboardDown_(e)},this.foundation.keyupHandler_=function(e){e.stopPropagation(),t.foundation.handleKeyboardUp_(e)},this.foundation.documentClickHandler_=function(e){e.stopPropagation(),t.foundation.adapter_.notifyCancel(),t.foundation.close(e)},n(),this.foundation.init()},beforeDestroy:function(){this._previousFocus=null,this.slotObserver.disconnect(),this.foundation.destroy()}}),T=function(){function e(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;s(this,e),this.root_=t;for(var i=arguments.length,r=Array(i>2?i-2:0),a=2;a<i;a++)r[a-2]=arguments[a];this.initialize.apply(this,r),this.foundation_=void 0===n?this.getDefaultFoundation():n,this.foundation_.init(),this.initialSyncWithDOM()}return o(e,null,[{key:"attachTo",value:function(t){return new e(t,new d)}}]),o(e,[{key:"initialize",value:function(){}},{key:"getDefaultFoundation",value:function(){throw new Error("Subclasses must override getDefaultFoundation to return a properly configured foundation class")}},{key:"initialSyncWithDOM",value:function(){}},{key:"destroy",value:function(){this.foundation_.destroy()}},{key:"listen",value:function(e,t){this.root_.addEventListener(e,t)}},{key:"unlisten",value:function(e,t){this.root_.removeEventListener(e,t)}},{key:"emit",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],i=void 0;"function"==typeof CustomEvent?i=new CustomEvent(e,{detail:t,bubbles:n}):(i=document.createEvent("CustomEvent")).initCustomEvent(e,n,!1,t),this.root_.dispatchEvent(i)}}]),e}(),S={ROOT:"mdc-select",OPEN:"mdc-select--open",DISABLED:"mdc-select--disabled",SCROLL_LOCK:"mdc-select-scroll-lock"},E={CHANGE_EVENT:"MDCSelect:change"},k=(function(t){function n(){var e;s(this,n);for(var t=arguments.length,i=Array(t),r=0;r<t;r++)i[r]=arguments[r];var a=l(this,(e=n.__proto__||Object.getPrototypeOf(n)).call.apply(e,[this].concat(i)));return a.previousFocus_,a}c(n,T),o(n,[{key:"show",value:function(){var e=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).focusIndex,t=void 0===e?null:e;this.foundation_.open({focusIndex:t})}},{key:"hide",value:function(){this.foundation_.close()}},{key:"getDefaultFoundation",value:function(){var t=this;return new _({addClass:function(e){return t.root_.classList.add(e)},removeClass:function(e){return t.root_.classList.remove(e)},hasClass:function(e){return t.root_.classList.contains(e)},hasNecessaryDom:function(){return Boolean(t.itemsContainer_)},getAttributeForEventTarget:function(e,t){return e.getAttribute(t)},getInnerDimensions:function(){var e=t.itemsContainer_;return{width:e.offsetWidth,height:e.offsetHeight}},hasAnchor:function(){return t.root_.parentElement&&t.root_.parentElement.classList.contains("mdc-menu-anchor")},getAnchorDimensions:function(){return t.root_.parentElement.getBoundingClientRect()},getWindowDimensions:function(){return{width:window.innerWidth,height:window.innerHeight}},setScale:function(n,i){t.root_.style[e(window)]="scale("+n+", "+i+")"},setInnerScale:function(n,i){t.itemsContainer_.style[e(window)]="scale("+n+", "+i+")"},getNumberOfItems:function(){return t.items.length},registerInteractionHandler:function(e,n){return t.root_.addEventListener(e,n)},deregisterInteractionHandler:function(e,n){return t.root_.removeEventListener(e,n)},registerBodyClickHandler:function(e){return document.body.addEventListener("click",e)},deregisterBodyClickHandler:function(e){return document.body.removeEventListener("click",e)},getYParamsForItemAtIndex:function(e){var n=t.items[e];return{top:n.offsetTop,height:n.offsetHeight}},setTransitionDelayForItemAtIndex:function(e,n){return t.items[e].style.setProperty("transition-delay",n)},getIndexForEventTarget:function(e){return t.items.indexOf(e)},notifySelected:function(e){return t.emit(_.strings.SELECTED_EVENT,{index:e.index,item:t.items[e.index]})},notifyCancel:function(){return t.emit(_.strings.CANCEL_EVENT,{})},saveFocus:function(){t.previousFocus_=document.activeElement},restoreFocus:function(){t.previousFocus_&&t.previousFocus_.focus()},isFocused:function(){return document.activeElement===t.root_},focus:function(){return t.root_.focus()},getFocusedItemIndex:function(){return t.items.indexOf(document.activeElement)},focusItemAtIndex:function(e){return t.items[e].focus()},isRtl:function(){return"rtl"===getComputedStyle(t.root_).getPropertyValue("direction")},setTransformOrigin:function(n){t.root_.style[e(window)+"-origin"]=n},setPosition:function(e){t.root_.style.left="left"in e?e.left:null,t.root_.style.right="right"in e?e.right:null,t.root_.style.top="top"in e?e.top:null,t.root_.style.bottom="bottom"in e?e.bottom:null},getAccurateTime:function(){return window.performance.now()}})}},{key:"open",get:function(){return this.foundation_.isOpen()},set:function(e){e?this.foundation_.open():this.foundation_.close()}},{key:"itemsContainer_",get:function(){return this.root_.querySelector(_.strings.ITEMS_SELECTOR)}},{key:"items",get:function(){var e=this.itemsContainer_;return[].slice.call(e.querySelectorAll(".mdc-list-item[role]"))}}],[{key:"attachTo",value:function(e){return new n(e)}}])}(),[{key:"ArrowUp",keyCode:38,forType:"keydown"},{key:"ArrowDown",keyCode:40,forType:"keydown"},{key:"Space",keyCode:32,forType:"keyup"}]),O=function(e){function t(e){s(this,t);var n=l(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,Object.assign(t.defaultAdapter,e)));return n.ctx_=null,n.selectedIndex_=-1,n.disabled_=!1,n.displayHandler_=function(e){e.preventDefault(),n.adapter_.isMenuOpen()||n.open_()},n.displayViaKeyboardHandler_=function(e){return n.handleDisplayViaKeyboard_(e)},n.selectionHandler_=function(e){var t=e.detail.index;n.close_(),t!==n.selectedIndex_&&(n.setSelectedIndex(t),n.adapter_.notifyChange())},n.cancelHandler_=function(){n.close_()},n}return c(t,d),o(t,null,[{key:"cssClasses",get:function(){return S}},{key:"strings",get:function(){return E}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},addBodyClass:function(){},removeBodyClass:function(){},setAttr:function(){},rmAttr:function(){},computeBoundingRect:function(){return{left:0,top:0}},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},focus:function(){},makeTabbable:function(){},makeUntabbable:function(){},getComputedStyleValue:function(){return""},setStyle:function(){},create2dRenderingContext:function(){return{font:"",measureText:function(){return{width:0}}}},setMenuElStyle:function(){},setMenuElAttr:function(){},rmMenuElAttr:function(){},getMenuElOffsetHeight:function(){return 0},openMenu:function(){},isMenuOpen:function(){return!1},setSelectedTextContent:function(){},getNumberOfOptions:function(){return 0},getTextForOptionAtIndex:function(){return""},getValueForOptionAtIndex:function(){return""},setAttrForOptionAtIndex:function(){},rmAttrForOptionAtIndex:function(){},getOffsetTopForOptionAtIndex:function(){return 0},registerMenuInteractionHandler:function(){},deregisterMenuInteractionHandler:function(){},notifyChange:function(){},getWindowInnerHeight:function(){return 0}}}}]),o(t,[{key:"init",value:function(){this.ctx_=this.adapter_.create2dRenderingContext(),this.adapter_.registerInteractionHandler("click",this.displayHandler_),this.adapter_.registerInteractionHandler("keydown",this.displayViaKeyboardHandler_),this.adapter_.registerInteractionHandler("keyup",this.displayViaKeyboardHandler_),this.adapter_.registerMenuInteractionHandler(_.strings.SELECTED_EVENT,this.selectionHandler_),this.adapter_.registerMenuInteractionHandler(_.strings.CANCEL_EVENT,this.cancelHandler_),this.resize()}},{key:"destroy",value:function(){this.ctx_=null,this.adapter_.deregisterInteractionHandler("click",this.displayHandler_),this.adapter_.deregisterInteractionHandler("keydown",this.displayViaKeyboardHandler_),this.adapter_.deregisterInteractionHandler("keyup",this.displayViaKeyboardHandler_),this.adapter_.deregisterMenuInteractionHandler(_.strings.SELECTED_EVENT,this.selectionHandler_),this.adapter_.deregisterMenuInteractionHandler(_.strings.CANCEL_EVENT,this.cancelHandler_)}},{key:"getValue",value:function(){return this.selectedIndex_>=0?this.adapter_.getValueForOptionAtIndex(this.selectedIndex_):""}},{key:"getSelectedIndex",value:function(){return this.selectedIndex_}},{key:"setSelectedIndex",value:function(e){this.selectedIndex_>=0&&this.adapter_.rmAttrForOptionAtIndex(this.selectedIndex_,"aria-selected"),this.selectedIndex_=e>=0&&e<this.adapter_.getNumberOfOptions()?e:-1;var t="";this.selectedIndex_>=0&&(t=this.adapter_.getTextForOptionAtIndex(this.selectedIndex_).trim(),this.adapter_.setAttrForOptionAtIndex(this.selectedIndex_,"aria-selected","true")),this.adapter_.setSelectedTextContent(t)}},{key:"isDisabled",value:function(){return this.disabled_}},{key:"setDisabled",value:function(e){var n=t.cssClasses.DISABLED;this.disabled_=e,this.disabled_?(this.adapter_.addClass(n),this.adapter_.setAttr("aria-disabled","true"),this.adapter_.makeUntabbable()):(this.adapter_.removeClass(n),this.adapter_.rmAttr("aria-disabled"),this.adapter_.makeTabbable())}},{key:"resize",value:function(){var e=this.adapter_.getComputedStyleValue("font"),t=parseFloat(this.adapter_.getComputedStyleValue("letter-spacing"));if(e)this.ctx_.font=e;else{var n=this.adapter_.getComputedStyleValue("font-family").split(",")[0],i=this.adapter_.getComputedStyleValue("font-size");this.ctx_.font=i+" "+n}for(var r=0,a=0,s=this.adapter_.getNumberOfOptions();a<s;a++){var o=this.adapter_.getTextForOptionAtIndex(a).trim(),u=this.ctx_.measureText(o).width,c=t*o.length;r=Math.max(r,Math.ceil(u+c))}this.adapter_.setStyle("width",r+"px")}},{key:"open_",value:function(){this.disableScroll_();var e=t.cssClasses.OPEN,n=this.selectedIndex_<0?0:this.selectedIndex_;this.setMenuStylesForOpenAtIndex_(n),this.adapter_.addClass(e),this.adapter_.openMenu(n)}},{key:"setMenuStylesForOpenAtIndex_",value:function(e){var t=this.adapter_.getWindowInnerHeight(),n=this.adapter_.computeBoundingRect(),i=n.left,r=n.top;this.adapter_.setMenuElAttr("aria-hidden","true"),this.adapter_.setMenuElStyle("display","block");var a=this.adapter_.getMenuElOffsetHeight(),s=this.adapter_.getOffsetTopForOptionAtIndex(e);this.adapter_.setMenuElStyle("display",""),this.adapter_.rmMenuElAttr("aria-hidden");var o=r-s,u=o+a>t;o<0?o=0:u&&(o=Math.max(0,t-a)),this.adapter_.setMenuElStyle("left",i+"px"),this.adapter_.setMenuElStyle("top",o+"px"),this.adapter_.setMenuElStyle("transform-origin","center "+s+"px")}},{key:"close_",value:function(){var e=t.cssClasses.OPEN;this.adapter_.removeClass(e),this.adapter_.focus(),this.enableScroll_()}},{key:"handleDisplayViaKeyboard_",value:function(e){if(2===e.eventPhase){"keydown"===e.type&&("Space"===e.key||32===e.keyCode)&&e.preventDefault();k.some(function(t){var n=t.key,i=t.keyCode,r=t.forType;return e.type===r&&(e.key===n||e.keyCode===i)})&&this.displayHandler_(e)}}},{key:"disableScroll_",value:function(){this.adapter_.addBodyClass(S.SCROLL_LOCK)}},{key:"enableScroll_",value:function(){this.adapter_.removeBodyClass(S.SCROLL_LOCK)}}]),t}(),x={render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("div",{staticClass:"mdc-select mdc-menu-select mdc-menu-anchor",class:e.classes,style:e.styles,attrs:{role:"listbox",tabindex:e.tabIndex}},[n("span",{staticClass:"mdc-select__selected-text"},[e._v(e._s(e.selectedTextContent))]),e._v(" "),n("mdc-menu",{ref:"menu",style:e.menuStyles,on:{update:e.resetIndex}},[n("li",{staticClass:"mdc-list-item",attrs:{role:"option","aria-disabled":"true","data-value":""}},[e._v(" "+e._s(e.label)+" ")]),e._v(" "),e._t("default")],2)],1)},staticRenderFns:[],name:"mdc-menu-select",model:{prop:"value",event:"change"},props:{multiple:Boolean,value:[String,Array],disabled:Boolean,label:String},data:function(){return{classes:{},styles:{},menuStyles:{},tabIndex:0,selectedTextContent:""}},components:{"mdc-menu":C},methods:{resetIndex:function(){this.foundation&&(this.foundation.setSelectedIndex(this.label?0:-1),this.$emit("change",this.foundation.getValue()))}},mounted:function(){var e=this,t=new O({addClass:function(t){return e.$set(e.classes,t,!0)},removeClass:function(t){return e.$delete(e.classes,t)},setAttr:function(t,n){return e.$el.setAttribute(t,n)},rmAttr:function(t,n){return e.$el.removeAttribute(t,n)},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},registerInteractionHandler:function(t,n){return e.$el.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){return e.$el.removeEventListener(t,n)},focus:function(){return e.$el.focus()},makeTabbable:function(){e.tabIndex=0},makeUntabbable:function(){e.tabIndex=-1},getComputedStyleValue:function(t){return window.getComputedStyle(e.$el).getPropertyValue(t)},setStyle:function(t,n){return e.$set(e.styles,t,n)},create2dRenderingContext:function(){return document.createElement("canvas").getContext("2d")},setMenuElStyle:function(t,n){return e.$set(e.menuStyles,t,n)},setMenuElAttr:function(t,n){return e.$refs.menu.$el.setAttribute(t,n)},rmMenuElAttr:function(t){return e.$refs.menu.$el.removeAttribute(t)},getMenuElOffsetHeight:function(){return e.$refs.menu.$el.offsetHeight},openMenu:function(t){return e.$refs.menu.show({focusIndex:t})},isMenuOpen:function(){return e.$refs.menu.isOpen()},setSelectedTextContent:function(t){e.selectedTextContent=t},getNumberOfOptions:function(){return e.$refs.menu.items.length},getTextForOptionAtIndex:function(t){return e.$refs.menu.items[t].textContent.trim()},getValueForOptionAtIndex:function(t){return 0==t&&e.label||!e.$refs.menu.items[t]?void 0:e.$refs.menu.items[t].getAttribute("data-value")||e.$refs.menu.items[t].textContent.trim()},setAttrForOptionAtIndex:function(t,n,i){return e.$refs.menu.items[t].setAttribute(n,i)},rmAttrForOptionAtIndex:function(t,n){return e.$refs.menu.items[t].removeAttribute(n)},getOffsetTopForOptionAtIndex:function(t){return e.$refs.menu.items[t].offsetTop},registerMenuInteractionHandler:function(t,n){return e.$refs.menu.foundation.adapter_.registerInteractionHandler(t,n)},deregisterMenuInteractionHandler:function(t,n){return e.$refs.menu.foundation.adapter_.deregisterInteractionHandler(t,n)},notifyChange:function(){e.$emit("change",e.foundation.getValue())},getWindowInnerHeight:function(){return window.innerHeight},addBodyClass:function(e){return document.body.classList.add(e)},removeBodyClass:function(e){return document.body.classList.remove(e)}});if(t.init(),!this.disabled){for(var n=0,i=this.$refs.menu.items,r=0;r<i.length;r++){var a=i[r].getAttribute("data-value")||i[r].textContent.trim();this.value===a&&(n=r)}t.setSelectedIndex(n)}t.setDisabled(this.disabled),this.foundation=t,this.value!==this.foundation.getValue()&&this.$emit("change",this.foundation.getValue())},beforeDestroy:function(){var e=this.foundation;this.foundation=null,e.destroy()}},w={render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("select",{directives:[{name:"model",rawName:"v-model",value:e.selected,expression:"selected"}],ref:"root",staticClass:"mdc-select mdc-multi-select mdc-list",style:e.styles,attrs:{multiple:e.multiple,disabled:e.disabled},on:{change:[function(t){var n=Array.prototype.filter.call(t.target.options,function(e){return e.selected}).map(function(e){return"_value"in e?e._value:e.value});e.selected=t.target.multiple?n:n[0]},e.onChange]}},[e.label?n("optgroup",{ref:"optgroup",staticClass:"mdc-list-group",attrs:{label:e.label}},[e._t("default")],2):e._t("default")],2)},staticRenderFns:[],name:"mdc-multi-select",model:{prop:"value",event:"change"},props:{multiple:Boolean,value:[String,Array],disabled:Boolean,label:String,"max-size":[String,Number]},data:function(){return{selected:this.value,size:void 0,count:void 0}},computed:{styles:function(){var e=this.count>this.size,t={height:48*this.size+(e?0:16)+"px","overflow-y":e?"scroll":"hidden"};return e||(t["background-image"]="unset"),t}},methods:{onChange:function(){this.$emit("change",this.selected)}},mounted:function(){var e=this,t=function(){var t=e.$refs.root.querySelectorAll("option, optgroup").length;e.count=t;var n=Number(e.maxSize);e.label&&(n+=1),e.size=Math.min(t,n)};this.slotObserver=new MutationObserver(function(){return t()}),this.slotObserver.observe(this.$el,{childList:!0,subtree:!0}),t()},beforeDestroy:function(){this.slotObserver.disconnect()}},F=new(function(){function e(){s(this,e)}return o(e,[{key:"mobile",get:function(){return this._mobile||(this._mobile=window.matchMedia("(max-width: 600px) and (pointer: coarse)"))}}]),e}()),D={render:function(){var e=this,t=e.$createElement;return(e._self._c||t)(e.type,{tag:"component",attrs:{multiple:e.multiple,"max-size":e.multiple?e.maxSize:void 0,disabled:e.disabled,label:e.label,value:e.value},on:{change:e.onChange}},[e._t("default")],2)},staticRenderFns:[],name:"mdc-select",model:{prop:"value",event:"change"},props:{multiple:Boolean,value:[String,Array],disabled:Boolean,label:String,"max-size":{type:[String,Number],default:4}},provide:function(){return{mdcSelect:this}},components:{"mdc-native-select":a,"mdc-menu-select":x,"mdc-multi-select":w},data:function(){return{mobile:!window||F.mobile.matches}},computed:{type:function(){return this.multiple?"mdc-multi-select":this.menu?"mdc-menu-select":this.native?"mdc-native-select":"mdc-menu-select"},native:function(){return this.multiple||this.mobile}},methods:{onChange:function(e){this.$emit("change",e)},refreshMedia:function(){this.mobile=F.mobile.matches}},beforeMount:function(){F.mobile.addListener(this.refreshMedia),this.refreshMedia()},beforeDestroy:function(){F.mobile.removeListener(this.refreshMedia)}},H={render:function(){var e=this.$createElement,t=this._self._c||e;return this.hasValue?t("option",{staticClass:"mdc-option mdc-native-option",attrs:{disabled:this.disabled},domProps:{value:this.value}},[this._t("default")],2):t("option",{staticClass:"mdc-option mdc-native-option",attrs:{disabled:this.disabled}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-native-option",props:{value:String,disabled:Boolean},computed:{hasValue:function(){return!("undefined"==typeof value)}}},R={render:function(){var e=this.$createElement;return(this._self._c||e)("li",{staticClass:"mdc-option mdc-menu-option mdc-list-item",attrs:{role:"option",tabindex:this.disabled?-1:0,"aria-disabled":this.disabled,"data-value":this.value}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-menu-option",props:{value:String,disabled:Boolean}},N={render:function(){var e=this.$createElement,t=this._self._c||e;return this.hasValue?t("option",{staticClass:"mdc-option mdc-multi-option mdc-list-item",attrs:{disabled:this.disabled},domProps:{value:this.value}},[this._t("default")],2):t("option",{staticClass:"mdc-option mdc-multi-option mdc-list-item",attrs:{disabled:this.disabled}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-multi-option",props:{value:String,disabled:Boolean},computed:{hasValue:function(){return!("undefined"==typeof value)}}},M=function(e){return{install:function(t){for(var n in e){var i=e[n];t.component(i.name,i)}},components:e}}({mdcSelect:D,mdcOption:{render:function(){var e=this.$createElement;return(this._self._c||e)(this.type,{tag:"component",attrs:{disabled:this.disabled,value:this.value}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-option",props:{value:String,disabled:Boolean},inject:["mdcSelect"],components:{"mdc-native-option":H,"mdc-multi-option":N,"mdc-menu-option":R},computed:{native:function(){return this.mdcSelect.native},multiple:function(){return this.mdcSelect.multiple},type:function(){return this.multiple?"mdc-multi-option":this.native?"mdc-native-option":"mdc-menu-option"}}}});return function(e){var t=null;"undefined"!=typeof window?t=window.Vue:"undefined"!=typeof global&&(t=global.Vue),t&&t.use(e)}(M),M});
//# sourceMappingURL=index.min.js.map
