/**
  * @module vue-mdc-adapterslider 0.5.2
  * @exports VueMDCSlider
  * @copyright (c) 2017-present, Sebastien Tasson
  * @license https://opensource.org/licenses/MIT
  * @implements {"material-components-web":"0.26.0"}
  * @requires {"vue":"^2.5.6"}
  * @see https://github.com/stasson/vue-mdc-adapter
  */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):e.VueMDCSlider=t()}(this,function(){"use strict";function e(e,t){if(!function(e){return void 0!==e.document&&"function"==typeof e.document.createElement}(e)||!function(e){return e in a||e in s}(t))return t;var n=t in a?a:s,r=e.document.createElement("div");return n===a?function(e,t,n){return t[e].styleProperty in n.style?t[e].noPrefix:t[e].webkitPrefix}(t,n,r):n[t].noPrefix in r.style?n[t].noPrefix:n[t].webkitPrefix}function t(t,n){return e(t,n)}var n={ACTIVE:"mdc-slider--active",DISABLED:"mdc-slider--disabled",DISCRETE:"mdc-slider--discrete",FOCUS:"mdc-slider--focus",IN_TRANSIT:"mdc-slider--in-transit",IS_DISCRETE:"mdc-slider--discrete",HAS_TRACK_MARKER:"mdc-slider--display-markers"},r={TRACK_SELECTOR:".mdc-slider__track",TRACK_MARKER_CONTAINER_SELECTOR:".mdc-slider__track-marker-container",LAST_TRACK_MARKER_SELECTOR:".mdc-slider__track-marker:last-child",THUMB_CONTAINER_SELECTOR:".mdc-slider__thumb-container",PIN_VALUE_MARKER_SELECTOR:".mdc-slider__pin-value-marker",ARIA_VALUEMIN:"aria-valuemin",ARIA_VALUEMAX:"aria-valuemax",ARIA_VALUENOW:"aria-valuenow",ARIA_DISABLED:"aria-disabled",STEP_DATA_ATTR:"data-step",CHANGE_EVENT:"MDCSlider:change",INPUT_EVENT:"MDCSlider:input"},i={PAGE_FACTOR:4},a={animationstart:{noPrefix:"animationstart",webkitPrefix:"webkitAnimationStart",styleProperty:"animation"},animationend:{noPrefix:"animationend",webkitPrefix:"webkitAnimationEnd",styleProperty:"animation"},animationiteration:{noPrefix:"animationiteration",webkitPrefix:"webkitAnimationIteration",styleProperty:"animation"},transitionend:{noPrefix:"transitionend",webkitPrefix:"webkitTransitionEnd",styleProperty:"transition"}},s={animation:{noPrefix:"animation",webkitPrefix:"-webkit-animation"},transform:{noPrefix:"transform",webkitPrefix:"-webkit-transform"},transition:{noPrefix:"transition",webkitPrefix:"-webkit-transition"}},o=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},u=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),d=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},l=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};o(this,e),this.adapter_=t}return u(e,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),u(e,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),e}(),c={ARROW_LEFT:"ArrowLeft",ARROW_RIGHT:"ArrowRight",ARROW_UP:"ArrowUp",ARROW_DOWN:"ArrowDown",HOME:"Home",END:"End",PAGE_UP:"PageUp",PAGE_DOWN:"PageDown"},_=["mouseup","pointerup","touchend"],h=function(a){function s(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};o(this,s);var t=d(this,(s.__proto__||Object.getPrototypeOf(s)).call(this,Object.assign(s.defaultAdapter,e)));return t.rect_=null,t.savedTabIndex_=NaN,t.active_=!1,t.inTransit_=!1,t.isDiscrete_=!1,t.hasTrackMarker_=!1,t.handlingThumbTargetEvt_=!1,t.min_=0,t.max_=100,t.step_=0,t.value_=0,t.disabled_=!1,t.preventFocusState_=!1,t.updateUIFrame_=0,t.thumbContainerPointerHandler_=function(){t.handlingThumbTargetEvt_=!0},t.mousedownHandler_=t.createDownHandler_("mousemove"),t.pointerdownHandler_=t.createDownHandler_("pointermove"),t.touchstartHandler_=t.createDownHandler_("touchmove",function(e){return e.targetTouches[0].pageX}),t.keydownHandler_=function(e){return t.handleKeydown_(e)},t.focusHandler_=function(){return t.handleFocus_()},t.blurHandler_=function(){return t.handleBlur_()},t.resizeHandler_=function(){return t.layout()},t}return function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}(s,l),u(s,null,[{key:"cssClasses",get:function(){return n}},{key:"strings",get:function(){return r}},{key:"numbers",get:function(){return i}},{key:"defaultAdapter",get:function(){return{hasClass:function(){return!1},addClass:function(){},removeClass:function(){},getAttribute:function(){return null},setAttribute:function(){},removeAttribute:function(){},computeBoundingRect:function(){return{top:0,right:0,bottom:0,left:0,width:0,height:0}},getTabIndex:function(){return 0},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerThumbContainerInteractionHandler:function(){},deregisterThumbContainerInteractionHandler:function(){},registerBodyInteractionHandler:function(){},deregisterBodyInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},notifyInput:function(){},notifyChange:function(){},setThumbContainerStyleProperty:function(){},setTrackStyleProperty:function(){},setMarkerValue:function(){},appendTrackMarkers:function(){},removeTrackMarkers:function(){},setLastTrackMarkersStyleProperty:function(){},isRTL:function(){return!1}}}}]),u(s,[{key:"init",value:function(){var e=this;this.isDiscrete_=this.adapter_.hasClass(n.IS_DISCRETE),this.hasTrackMarker_=this.adapter_.hasClass(n.HAS_TRACK_MARKER),this.adapter_.registerInteractionHandler("mousedown",this.mousedownHandler_),this.adapter_.registerInteractionHandler("pointerdown",this.pointerdownHandler_),this.adapter_.registerInteractionHandler("touchstart",this.touchstartHandler_),this.adapter_.registerInteractionHandler("keydown",this.keydownHandler_),this.adapter_.registerInteractionHandler("focus",this.focusHandler_),this.adapter_.registerInteractionHandler("blur",this.blurHandler_),["mousedown","pointerdown","touchstart"].forEach(function(t){e.adapter_.registerThumbContainerInteractionHandler(t,e.thumbContainerPointerHandler_)}),this.adapter_.registerResizeHandler(this.resizeHandler_),this.layout(),this.isDiscrete_&&0==this.getStep()&&(this.step_=1)}},{key:"destroy",value:function(){var e=this;this.adapter_.deregisterInteractionHandler("mousedown",this.mousedownHandler_),this.adapter_.deregisterInteractionHandler("pointerdown",this.pointerdownHandler_),this.adapter_.deregisterInteractionHandler("touchstart",this.touchstartHandler_),this.adapter_.deregisterInteractionHandler("keydown",this.keydownHandler_),this.adapter_.deregisterInteractionHandler("focus",this.focusHandler_),this.adapter_.deregisterInteractionHandler("blur",this.blurHandler_),["mousedown","pointerdown","touchstart"].forEach(function(t){e.adapter_.deregisterThumbContainerInteractionHandler(t,e.thumbContainerPointerHandler_)}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"setupTrackMarker",value:function(){if(this.isDiscrete_&&this.hasTrackMarker_&&0!=this.getStep()){var e=this.getMin(),n=this.getMax(),r=this.getStep(),i=(n-e)/r,a=Math.ceil(i)!==i;if(a&&(i=Math.ceil(i)),this.adapter_.removeTrackMarkers(),this.adapter_.appendTrackMarkers(i),a){var s=(n-i*r)/r+1,o=t(window,"flex");this.adapter_.setLastTrackMarkersStyleProperty(o,s)}}}},{key:"layout",value:function(){this.rect_=this.adapter_.computeBoundingRect(),this.updateUIForCurrentValue_()}},{key:"getValue",value:function(){return this.value_}},{key:"setValue",value:function(e){this.setValue_(e,!1)}},{key:"getMax",value:function(){return this.max_}},{key:"setMax",value:function(e){if(e<this.min_)throw new Error("Cannot set max to be less than the slider's minimum value");this.max_=e,this.setValue_(this.value_,!1,!0),this.adapter_.setAttribute(r.ARIA_VALUEMAX,String(this.max_)),this.setupTrackMarker()}},{key:"getMin",value:function(){return this.min_}},{key:"setMin",value:function(e){if(e>this.max_)throw new Error("Cannot set min to be greater than the slider's maximum value");this.min_=e,this.setValue_(this.value_,!1,!0),this.adapter_.setAttribute(r.ARIA_VALUEMIN,String(this.min_)),this.setupTrackMarker()}},{key:"getStep",value:function(){return this.step_}},{key:"setStep",value:function(e){if(e<0)throw new Error("Step cannot be set to a negative number");this.isDiscrete_&&("number"!=typeof e||e<1)&&(e=1),this.step_=e,this.setValue_(this.value_,!1,!0),this.setupTrackMarker()}},{key:"isDisabled",value:function(){return this.disabled_}},{key:"setDisabled",value:function(e){this.disabled_=e,this.toggleClass_(n.DISABLED,this.disabled_),this.disabled_?(this.savedTabIndex_=this.adapter_.getTabIndex(),this.adapter_.setAttribute(r.ARIA_DISABLED,"true"),this.adapter_.removeAttribute("tabindex")):(this.adapter_.removeAttribute(r.ARIA_DISABLED),isNaN(this.savedTabIndex_)||this.adapter_.setAttribute("tabindex",String(this.savedTabIndex_)))}},{key:"createDownHandler_",value:function(e){var t=this,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:function(e){return e.pageX},r=function(e){e.preventDefault(),t.setValueFromEvt_(e,n)},i=function n(){t.setActive_(!1),t.adapter_.deregisterBodyInteractionHandler(e,r),_.forEach(function(e){return t.adapter_.deregisterBodyInteractionHandler(e,n)}),t.adapter_.notifyChange()};return function(a){t.disabled_||(t.preventFocusState_=!0,t.setInTransit_(!t.handlingThumbTargetEvt_),t.handlingThumbTargetEvt_=!1,t.setActive_(!0),t.adapter_.registerBodyInteractionHandler(e,r),_.forEach(function(e){return t.adapter_.registerBodyInteractionHandler(e,i)}),t.setValueFromEvt_(a,n))}}},{key:"setValueFromEvt_",value:function(e,t){var n=t(e),r=this.computeValueFromPageX_(n);this.setValue_(r,!0)}},{key:"computeValueFromPageX_",value:function(e){var t=this.max_,n=this.min_,r=(e-this.rect_.left)/this.rect_.width;return this.adapter_.isRTL()&&(r=1-r),n+r*(t-n)}},{key:"handleKeydown_",value:function(e){var t=this.getKeyId_(e),r=this.getValueForKeyId_(t);isNaN(r)||(e.preventDefault(),this.adapter_.addClass(n.FOCUS),this.setValue_(r,!0),this.adapter_.notifyChange())}},{key:"getKeyId_",value:function(e){return e.key===c.ARROW_LEFT||37===e.keyCode?c.ARROW_LEFT:e.key===c.ARROW_RIGHT||39===e.keyCode?c.ARROW_RIGHT:e.key===c.ARROW_UP||38===e.keyCode?c.ARROW_UP:e.key===c.ARROW_DOWN||40===e.keyCode?c.ARROW_DOWN:e.key===c.HOME||36===e.keyCode?c.HOME:e.key===c.END||35===e.keyCode?c.END:e.key===c.PAGE_UP||33===e.keyCode?c.PAGE_UP:e.key===c.PAGE_DOWN||34===e.keyCode?c.PAGE_DOWN:""}},{key:"getValueForKeyId_",value:function(e){var t=this.max_,n=this.min_,r=this.step_||(t-n)/100;switch(this.adapter_.isRTL()&&(e===c.ARROW_LEFT||e===c.ARROW_RIGHT)&&(r=-r),e){case c.ARROW_LEFT:case c.ARROW_DOWN:return this.value_-r;case c.ARROW_RIGHT:case c.ARROW_UP:return this.value_+r;case c.HOME:return this.min_;case c.END:return this.max_;case c.PAGE_UP:return this.value_+r*i.PAGE_FACTOR;case c.PAGE_DOWN:return this.value_-r*i.PAGE_FACTOR;default:return NaN}}},{key:"handleFocus_",value:function(){this.preventFocusState_||this.adapter_.addClass(n.FOCUS)}},{key:"handleBlur_",value:function(){this.preventFocusState_=!1,this.adapter_.removeClass(n.FOCUS)}},{key:"setValue_",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e!==this.value_||n){var i=this.min_,a=this.max_,s=e===i||e===a;this.step_&&!s&&(e=this.quantize_(e)),e<i?e=i:e>a&&(e=a),this.value_=e,this.adapter_.setAttribute(r.ARIA_VALUENOW,String(this.value_)),this.updateUIForCurrentValue_(),t&&(this.adapter_.notifyInput(),this.isDiscrete_&&this.adapter_.setMarkerValue(e))}}},{key:"quantize_",value:function(e){return Math.round(e/this.step_)*this.step_}},{key:"updateUIForCurrentValue_",value:function(){var n=this,r=this.max_,i=this.min_,a=(this.value_-i)/(r-i),s=a*this.rect_.width;this.adapter_.isRTL()&&(s=this.rect_.width-s);var o=t(window,"transform"),u=function(t,n){return e(t,n)}(window,"transitionend");if(this.inTransit_){var d=function e(){n.setInTransit_(!1),n.adapter_.deregisterThumbContainerInteractionHandler(u,e)};this.adapter_.registerThumbContainerInteractionHandler(u,d)}this.updateUIFrame_=requestAnimationFrame(function(){n.adapter_.setThumbContainerStyleProperty(o,"translateX("+s+"px) translateX(-50%)"),n.adapter_.setTrackStyleProperty(o,"scaleX("+a+")")})}},{key:"setActive_",value:function(e){this.active_=e,this.toggleClass_(n.ACTIVE,this.active_)}},{key:"setInTransit_",value:function(e){this.inTransit_=e,this.toggleClass_(n.IN_TRANSIT,this.inTransit_)}},{key:"toggleClass_",value:function(e,t){t?this.adapter_.addClass(e):this.adapter_.removeClass(e)}}]),s}(),f=function(e){return{install:function(t){for(var n in e){var r=e[n];t.component(r.name,r)}},components:e}}({mdcSlider:{render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("div",{staticClass:"mdc-slider",class:e.classes,attrs:{tabindex:"0",role:"slider"}},[n("div",{staticClass:"mdc-slider__track-container"},[n("div",{staticClass:"mdc-slider__track",style:e.trackStyles}),e._v(" "),e.hasMarkers?n("div",{staticClass:"mdc-slider__track-marker-container"},e._l(e.numMarkers,function(t){return n("div",{key:t,staticClass:"mdc-slider__track-marker",style:t==e.numMarkers?e.lastTrackMarkersStyles:{}})})):e._e()]),e._v(" "),n("div",{ref:"thumbContainer",staticClass:"mdc-slider__thumb-container",style:e.thumbStyles},[e.isDiscrete?n("div",{staticClass:"mdc-slider__pin"},[n("span",{staticClass:"mdc-slider__pin-value-marker"},[e._v(e._s(e.markerValue))])]):e._e(),e._v(" "),n("svg",{staticClass:"mdc-slider__thumb",attrs:{width:"21",height:"21"}},[n("circle",{attrs:{cx:"10.5",cy:"10.5",r:"7.875"}})]),e._v(" "),n("div",{staticClass:"mdc-slider__focus-ring"})])])},staticRenderFns:[],name:"mdc-slider",model:{prop:"value",event:"change"},props:{value:[Number,String],min:{type:[Number,String],default:0},max:{type:[Number,String],default:100},step:{type:[Number,String],default:0},"display-markers":Boolean,disabled:Boolean},data:function(){return{classes:{"mdc-slider--discrete":!!this.step,"mdc-slider--display-markers":this.displayMarkers},trackStyles:{},lastTrackMarkersStyles:{},thumbStyles:{},markerValue:"",numMarkers:0}},computed:{isDiscrete:function(){return!!this.step},hasMarkers:function(){return!!this.step&&this.displayMarkers&&this.numMarkers}},watch:{value:function(){this.foundation.getValue()!==Number(this.value)&&this.foundation.setValue(this.value)},min:function(){this.foundation.setMin(Number(this.min))},max:function(){this.foundation.setMax(Number(this.max))},step:function(){this.foundation.setStep(Number(this.step))},disabled:function(){this.foundation.setDisabled(this.disabled)}},methods:{layout:function(){this.foundation&&this.foundation.layout()}},mounted:function(){var e=this;this.foundation=new h({hasClass:function(t){return e.$el.classList.contains(t)},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t,!0)},getAttribute:function(t){return e.$el.getAttribute(t)},setAttribute:function(t,n){return e.$el.setAttribute(t,n)},removeAttribute:function(t){return e.$el.removeAttribute(t)},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},getTabIndex:function(){return e.$el.tabIndex},registerInteractionHandler:function(t,n){e.$el.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){e.$el.removeEventListener(t,n)},registerThumbContainerInteractionHandler:function(t,n){e.$refs.thumbContainer.addEventListener(t,n)},deregisterThumbContainerInteractionHandler:function(t,n){e.$refs.thumbContainer.removeEventListener(t,n)},registerBodyInteractionHandler:function(e,t){document.body.addEventListener(e,t)},deregisterBodyInteractionHandler:function(e,t){document.body.removeEventListener(e,t)},registerResizeHandler:function(e){window.addEventListener("resize",e)},deregisterResizeHandler:function(e){window.removeEventListener("resize",e)},notifyInput:function(){e.$emit("input",e.foundation.getValue())},notifyChange:function(){e.$emit("change",e.foundation.getValue())},setThumbContainerStyleProperty:function(t,n){e.$set(e.thumbStyles,t,n)},setTrackStyleProperty:function(t,n){e.$set(e.trackStyles,t,n)},setMarkerValue:function(t){e.markerValue=t},appendTrackMarkers:function(t){e.numMarkers=t},removeTrackMarkers:function(){e.numMarkers=0},setLastTrackMarkersStyleProperty:function(t,n){e.$set(e.lastTrackMarkersStyles,t,n)},isRTL:function(){return!1}}),this.foundation.init(),this.foundation.setDisabled(this.disabled),this.foundation.setMin(Number(this.min)),this.foundation.setMax(Number(this.max)),this.foundation.setStep(Number(this.step)),this.foundation.setValue(Number(this.value)),this.hasMarkers&&this.foundation.setupTrackMarker(),this.$root.$on("mdc:layout",function(){e.$nextTick(function(){e.foundation.layout()})})},beforeDestroy:function(){this.foundation.destroy()}}});return function(e){var t=null;"undefined"!=typeof window?t=window.Vue:"undefined"!=typeof global&&(t=global.Vue),t&&t.use(e)}(f),f});
//# sourceMappingURL=index.min.js.map
