/**
  * @module vue-mdc-adaptertexfield 0.5.2
  * @exports VueMDCTextfield
  * @copyright (c) 2017-present, Sebastien Tasson
  * @license https://opensource.org/licenses/MIT
  * @implements {"material-components-web":"0.26.0"}
  * @requires {"vue":"^2.5.6"}
  * @see https://github.com/stasson/vue-mdc-adapter
  */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCTextfield=e()}(this,function(){"use strict";var t=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},e=function(){function t(t,e){for(var n=0;n<e.length;n++){var i=e[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(t,i.key,i)}}return function(e,n,i){return n&&t(e.prototype,n),i&&t(e,i),e}}(),n=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)},i=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},a=function(){function n(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,n),this.adapter_=e}return e(n,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),e(n,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),n}(),s=(function(){function n(){t(this,n)}e(n,[{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"setAttr",value:function(t,e){}},{key:"registerEventHandler",value:function(t,e){}},{key:"deregisterEventHandler",value:function(t,e){}},{key:"notifyAnimationEnd",value:function(){}}])}(),{ANIMATION_END_EVENT:"MDCTextFieldBottomLine:animation-end"}),r={BOTTOM_LINE_ACTIVE:"mdc-text-field__bottom-line--active"},o=function(o){function u(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,u);var n=i(this,(u.__proto__||Object.getPrototypeOf(u)).call(this,Object.assign(u.defaultAdapter,e)));return n.transitionEndHandler_=function(t){return n.handleTransitionEnd(t)},n}return n(u,a),e(u,null,[{key:"cssClasses",get:function(){return r}},{key:"strings",get:function(){return s}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},setAttr:function(){},registerEventHandler:function(){},deregisterEventHandler:function(){},notifyAnimationEnd:function(){}}}}]),e(u,[{key:"init",value:function(){this.adapter_.registerEventHandler("transitionend",this.transitionEndHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterEventHandler("transitionend",this.transitionEndHandler_)}},{key:"activate",value:function(){this.adapter_.addClass(r.BOTTOM_LINE_ACTIVE)}},{key:"setTransformOrigin",value:function(t){var e=t.target.getBoundingClientRect(),n="transform-origin: "+({x:t.clientX,y:t.clientY}.x-e.left)+"px center";this.adapter_.setAttr("style",n)}},{key:"deactivate",value:function(){this.adapter_.removeClass(r.BOTTOM_LINE_ACTIVE)}},{key:"handleTransitionEnd",value:function(t){"opacity"===t.propertyName&&this.adapter_.notifyAnimationEnd()}}]),u}(),u=(function(){function n(){t(this,n)}e(n,[{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"hasClass",value:function(t){}},{key:"setAttr",value:function(t,e){}},{key:"removeAttr",value:function(t){}},{key:"setContent",value:function(t){}}])}(),{ARIA_HIDDEN:"aria-hidden",ROLE:"role"}),l={HELPER_TEXT_PERSISTENT:"mdc-text-field-helper-text--persistent",HELPER_TEXT_VALIDATION_MSG:"mdc-text-field-helper-text--validation-msg"},d=function(s){function r(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return t(this,r),i(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign(r.defaultAdapter,e)))}return n(r,a),e(r,null,[{key:"cssClasses",get:function(){return l}},{key:"strings",get:function(){return u}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){},setAttr:function(){},removeAttr:function(){},setContent:function(){}}}}]),e(r,[{key:"setContent",value:function(t){this.adapter_.setContent(t)}},{key:"showToScreenReader",value:function(){this.adapter_.removeAttr(u.ARIA_HIDDEN)}},{key:"setValidity",value:function(t){var e=this.adapter_.hasClass(l.HELPER_TEXT_PERSISTENT),n=this.adapter_.hasClass(l.HELPER_TEXT_VALIDATION_MSG)&&!t;n?this.adapter_.setAttr(u.ROLE,"alert"):this.adapter_.removeAttr(u.ROLE),e||n||this.hide_()}},{key:"hide_",value:function(){this.adapter_.setAttr(u.ARIA_HIDDEN,"true")}}]),r}(),c=(function(){function n(){t(this,n)}e(n,[{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"addClassToLabel",value:function(t){}},{key:"removeClassFromLabel",value:function(t){}},{key:"setIconAttr",value:function(t,e){}},{key:"eventTargetHasClass",value:function(t,e){}},{key:"registerTextFieldInteractionHandler",value:function(t,e){}},{key:"deregisterTextFieldInteractionHandler",value:function(t,e){}},{key:"notifyIconAction",value:function(){}},{key:"addClassToHelperText",value:function(t){}},{key:"removeClassFromHelperText",value:function(t){}},{key:"helperTextHasClass",value:function(t){}},{key:"registerInputInteractionHandler",value:function(t,e){}},{key:"deregisterInputInteractionHandler",value:function(t,e){}},{key:"registerBottomLineEventHandler",value:function(t,e){}},{key:"deregisterBottomLineEventHandler",value:function(t,e){}},{key:"setHelperTextAttr",value:function(t,e){}},{key:"removeHelperTextAttr",value:function(t){}},{key:"setHelperTextContent",value:function(t){}},{key:"getNativeInput",value:function(){}},{key:"getBottomLineFoundation",value:function(){}},{key:"getHelperTextFoundation",value:function(){}}])}(),{ARIA_CONTROLS:"aria-controls",INPUT_SELECTOR:".mdc-text-field__input",LABEL_SELECTOR:".mdc-text-field__label",ICON_SELECTOR:".mdc-text-field__icon",ICON_EVENT:"MDCTextField:icon",BOTTOM_LINE_SELECTOR:".mdc-text-field__bottom-line"}),f={ROOT:"mdc-text-field",UPGRADED:"mdc-text-field--upgraded",DISABLED:"mdc-text-field--disabled",FOCUSED:"mdc-text-field--focused",INVALID:"mdc-text-field--invalid",LABEL_FLOAT_ABOVE:"mdc-text-field__label--float-above",LABEL_SHAKE:"mdc-text-field__label--shake",BOX:"mdc-text-field--box",TEXT_FIELD_ICON:"mdc-text-field__icon",TEXTAREA:"mdc-text-field--textarea"},v=function(s){function r(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,r);var n=i(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign(r.defaultAdapter,e)));return n.isFocused_=!1,n.receivedUserInput_=!1,n.useCustomValidityChecking_=!1,n.inputFocusHandler_=function(){return n.activateFocus()},n.inputBlurHandler_=function(){return n.deactivateFocus()},n.inputInputHandler_=function(){return n.autoCompleteFocus()},n.setPointerXOffset_=function(t){return n.setBottomLineTransformOrigin(t)},n.textFieldInteractionHandler_=function(t){return n.handleTextFieldInteraction(t)},n.bottomLineAnimationEndHandler_=function(){return n.handleBottomLineAnimationEnd()},n}return n(r,a),e(r,null,[{key:"cssClasses",get:function(){return f}},{key:"strings",get:function(){return c}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},addClassToLabel:function(){},removeClassFromLabel:function(){},setIconAttr:function(){},eventTargetHasClass:function(){},registerTextFieldInteractionHandler:function(){},deregisterTextFieldInteractionHandler:function(){},notifyIconAction:function(){},registerInputInteractionHandler:function(){},deregisterInputInteractionHandler:function(){},registerBottomLineEventHandler:function(){},deregisterBottomLineEventHandler:function(){},getNativeInput:function(){},getBottomLineFoundation:function(){},getHelperTextFoundation:function(){}}}}]),e(r,[{key:"init",value:function(){var t=this;this.adapter_.addClass(r.cssClasses.UPGRADED),this.getNativeInput_().value&&this.adapter_.addClassToLabel(r.cssClasses.LABEL_FLOAT_ABOVE),this.adapter_.registerInputInteractionHandler("focus",this.inputFocusHandler_),this.adapter_.registerInputInteractionHandler("blur",this.inputBlurHandler_),this.adapter_.registerInputInteractionHandler("input",this.inputInputHandler_),["mousedown","touchstart"].forEach(function(e){t.adapter_.registerInputInteractionHandler(e,t.setPointerXOffset_)}),["click","keydown"].forEach(function(e){t.adapter_.registerTextFieldInteractionHandler(e,t.textFieldInteractionHandler_)}),this.adapter_.registerBottomLineEventHandler(o.strings.ANIMATION_END_EVENT,this.bottomLineAnimationEndHandler_)}},{key:"destroy",value:function(){var t=this;this.adapter_.removeClass(r.cssClasses.UPGRADED),this.adapter_.deregisterInputInteractionHandler("focus",this.inputFocusHandler_),this.adapter_.deregisterInputInteractionHandler("blur",this.inputBlurHandler_),this.adapter_.deregisterInputInteractionHandler("input",this.inputInputHandler_),["mousedown","touchstart"].forEach(function(e){t.adapter_.deregisterInputInteractionHandler(e,t.setPointerXOffset_)}),["click","keydown"].forEach(function(e){t.adapter_.deregisterTextFieldInteractionHandler(e,t.textFieldInteractionHandler_)}),this.adapter_.deregisterBottomLineEventHandler(o.strings.ANIMATION_END_EVENT,this.bottomLineAnimationEndHandler_)}},{key:"handleTextFieldInteraction",value:function(t){if(!this.adapter_.getNativeInput().disabled){this.receivedUserInput_=!0;var e=t.target,n=t.type,i=r.cssClasses.TEXT_FIELD_ICON,a=this.adapter_.eventTargetHasClass(e,i),s="click"===n||"Enter"===t.key||13===t.keyCode;a&&s&&this.adapter_.notifyIconAction()}}},{key:"activateFocus",value:function(){var t=r.cssClasses,e=t.FOCUSED,n=t.LABEL_FLOAT_ABOVE,i=t.LABEL_SHAKE;this.adapter_.addClass(e);var a=this.adapter_.getBottomLineFoundation();a&&a.activate(),this.adapter_.addClassToLabel(n),this.adapter_.removeClassFromLabel(i);var s=this.adapter_.getHelperTextFoundation();s&&s.showToScreenReader(),this.isFocused_=!0}},{key:"setBottomLineTransformOrigin",value:function(t){var e=this.adapter_.getBottomLineFoundation();e&&e.setTransformOrigin(t)}},{key:"autoCompleteFocus",value:function(){this.receivedUserInput_||this.activateFocus()}},{key:"handleBottomLineAnimationEnd",value:function(){var t=this.adapter_.getBottomLineFoundation();!this.isFocused_&&t&&t.deactivate()}},{key:"deactivateFocus",value:function(){var t=r.cssClasses,e=t.FOCUSED,n=t.LABEL_FLOAT_ABOVE,i=t.LABEL_SHAKE,a=this.getNativeInput_();this.isFocused_=!1,this.adapter_.removeClass(e),this.adapter_.removeClassFromLabel(i),a.value||this.isBadInput_()||(this.adapter_.removeClassFromLabel(n),this.receivedUserInput_=!1),this.useCustomValidityChecking_||this.changeValidity_(a.checkValidity())}},{key:"changeValidity_",value:function(t){var e=r.cssClasses,n=e.INVALID,i=e.LABEL_SHAKE;t?this.adapter_.removeClass(n):(this.adapter_.addClassToLabel(i),this.adapter_.addClass(n));var a=this.adapter_.getHelperTextFoundation();a&&a.setValidity(t)}},{key:"isBadInput_",value:function(){var t=this.getNativeInput_();return t.validity?t.validity.badInput:t.badInput}},{key:"isDisabled",value:function(){return this.getNativeInput_().disabled}},{key:"setDisabled",value:function(t){var e=r.cssClasses,n=e.DISABLED,i=e.INVALID;this.getNativeInput_().disabled=t,t?(this.adapter_.addClass(n),this.adapter_.removeClass(i),this.adapter_.setIconAttr("tabindex","-1")):(this.adapter_.removeClass(n),this.adapter_.setIconAttr("tabindex","0"))}},{key:"setHelperTextContent",value:function(t){var e=this.adapter_.getHelperTextFoundation();e&&e.setContent(t)}},{key:"getNativeInput_",value:function(){return this.adapter_.getNativeInput()||{checkValidity:function(){return!0},value:"",disabled:!1,badInput:!1}}},{key:"setValid",value:function(t){this.useCustomValidityChecking_=!0,this.changeValidity_(t)}}]),r}(),p=(function(){function n(){t(this,n)}e(n,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"registerResizeHandler",value:function(t){}},{key:"deregisterResizeHandler",value:function(t){}},{key:"updateCssVariable",value:function(t,e){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",BG_ACTIVE_FILL:"mdc-ripple-upgraded--background-active-fill",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),_={VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},h={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:300,FG_DEACTIVATION_MS:83},m=void 0,g={mouseup:"mousedown",pointerup:"pointerdown",touchend:"touchstart",keyup:"keydown",blur:"focus"},y=function(s){function r(e){t(this,r);var n=i(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign(r.defaultAdapter,e)));return n.layoutFrame_=0,n.frame_={width:0,height:0},n.activationState_=n.defaultActivationState_(),n.xfDuration_=0,n.initialSize_=0,n.maxRadius_=0,n.listenerInfos_=[{activate:"touchstart",deactivate:"touchend"},{activate:"pointerdown",deactivate:"pointerup"},{activate:"mousedown",deactivate:"mouseup"},{activate:"keydown",deactivate:"keyup"},{focus:"focus",blur:"blur"}],n.listeners_={activate:function(t){return n.activate_(t)},deactivate:function(t){return n.deactivate_(t)},focus:function(){return requestAnimationFrame(function(){return n.adapter_.addClass(r.cssClasses.BG_FOCUSED)})},blur:function(){return requestAnimationFrame(function(){return n.adapter_.removeClass(r.cssClasses.BG_FOCUSED)})}},n.resizeHandler_=function(){return n.layout()},n.unboundedCoords_={left:0,top:0},n.fgScale_=0,n.activationTimer_=0,n.fgDeactivationRemovalTimer_=0,n.activationAnimationHasEnded_=!1,n.activationTimerCallback_=function(){n.activationAnimationHasEnded_=!0,n.runDeactivationUXLogicIfReady_()},n}return n(r,a),e(r,null,[{key:"cssClasses",get:function(){return p}},{key:"strings",get:function(){return _}},{key:"numbers",get:function(){return h}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),e(r,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationStartTime:0,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var t=this;if(this.isSupported_()){this.addEventListeners_();var e=r.cssClasses,n=e.ROOT,i=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.addClass(n),t.adapter_.isUnbounded()&&t.adapter_.addClass(i),t.layoutInternal_()})}}},{key:"addEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(n){t.adapter_.registerInteractionHandler(e[n],t.listeners_[n])})}),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"activate_",value:function(t){var e=this;if(!this.adapter_.isSurfaceDisabled()){var n=this.activationState_;n.isActivated||(n.isActivated=!0,n.isProgrammatic=null===t,n.activationEvent=t,n.wasActivatedByPointer=!n.isProgrammatic&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type),n.activationStartTime=Date.now(),requestAnimationFrame(function(){n.wasElementMadeActive=!t||"keydown"!==t.type||e.adapter_.isSurfaceActive(),n.wasElementMadeActive?e.animateActivation_():e.activationState_=e.defaultActivationState_()}))}}},{key:"activate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(t)}},{key:"animateActivation_",value:function(){var t=this,e=r.strings,n=e.VAR_FG_TRANSLATE_START,i=e.VAR_FG_TRANSLATE_END,a=r.cssClasses,s=a.BG_ACTIVE_FILL,o=a.FG_DEACTIVATION,u=a.FG_ACTIVATION,l=r.numbers.DEACTIVATION_TIMEOUT_MS,d="",c="";if(!this.adapter_.isUnbounded()){var f=this.getFgTranslationCoordinates_(),v=f.startPoint,p=f.endPoint;d=v.x+"px, "+v.y+"px",c=p.x+"px, "+p.y+"px"}this.adapter_.updateCssVariable(n,d),this.adapter_.updateCssVariable(i,c),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(o),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.adapter_.addClass(u),this.activationTimer_=setTimeout(function(){return t.activationTimerCallback_()},l)}},{key:"getFgTranslationCoordinates_",value:function(){var t=this.activationState_,e=t.activationEvent,n=void 0;return{startPoint:n={x:(n=t.wasActivatedByPointer?function(t,e,n){var i=e.x,a=e.y,s=i+n.left,r=a+n.top,o=void 0,u=void 0;return"touchstart"===t.type?(o=t.changedTouches[0].pageX-s,u=t.changedTouches[0].pageY-r):(o=t.pageX-s,u=t.pageY-r),{x:o,y:u}}(e,this.adapter_.getWindowPageOffset(),this.adapter_.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2}).x-this.initialSize_/2,y:n.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var t=this,e=r.cssClasses.FG_DEACTIVATION,n=this.activationState_,i=n.hasDeactivationUXRun,a=n.isActivated;(i||!a)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(e),this.fgDeactivationRemovalTimer_=setTimeout(function(){t.adapter_.removeClass(e)},h.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var t=r.cssClasses,e=t.BG_ACTIVE_FILL,n=t.FG_ACTIVATION;this.adapter_.removeClass(e),this.adapter_.removeClass(n),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"deactivate_",value:function(t){var e=this,n=this.activationState_;if(n.isActivated){if(n.isProgrammatic){var i=Object.assign({},n);return requestAnimationFrame(function(){return e.animateDeactivation_(null,i)}),void(this.activationState_=this.defaultActivationState_())}var a=g[t.type]===n.activationEvent.type,s=a;n.wasActivatedByPointer&&(s="mouseup"===t.type);var r=Object.assign({},n);requestAnimationFrame(function(){a&&(e.activationState_.hasDeactivationUXRun=!0,e.animateDeactivation_(t,r)),s&&(e.activationState_=e.defaultActivationState_())})}}},{key:"deactivate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(t)}},{key:"animateDeactivation_",value:function(t,e){var n=e.wasActivatedByPointer,i=e.wasElementMadeActive,a=r.cssClasses.BG_FOCUSED;(n||i)&&(this.adapter_.removeClass(a),this.runDeactivationUXLogicIfReady_())}},{key:"destroy",value:function(){var t=this;if(this.isSupported_()){this.removeEventListeners_();var e=r.cssClasses,n=e.ROOT,i=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.removeClass(n),t.adapter_.removeClass(i),t.removeCssVars_()})}}},{key:"removeEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(n){t.adapter_.deregisterInteractionHandler(e[n],t.listeners_[n])})}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"removeCssVars_",value:function(){var t=this,e=r.strings;Object.keys(e).forEach(function(n){0===n.indexOf("VAR_")&&t.adapter_.updateCssVariable(e[n],null)})}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){this.frame_=this.adapter_.computeBoundingRect();var t=Math.max(this.frame_.height,this.frame_.width),e=Math.sqrt(Math.pow(this.frame_.width,2)+Math.pow(this.frame_.height,2));this.initialSize_=t*r.numbers.INITIAL_ORIGIN_SCALE,this.maxRadius_=e+r.numbers.PADDING,this.fgScale_=this.maxRadius_/this.initialSize_,this.xfDuration_=1e3*Math.sqrt(this.maxRadius_/1024),this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var t=r.strings,e=t.VAR_FG_SIZE,n=t.VAR_LEFT,i=t.VAR_TOP,a=t.VAR_FG_SCALE;this.adapter_.updateCssVariable(e,this.initialSize_+"px"),this.adapter_.updateCssVariable(a,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(n,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(i,this.unboundedCoords_.top+"px"))}}]),r}(),C=function(a){function s(e,n){return t(this,s),i(this,(s.__proto__||Object.getPrototypeOf(s)).call(this,Object.assign({browserSupportsCssVars:function(){return function(t){var e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof m&&!e)return m;if(t.CSS&&"function"==typeof t.CSS.supports){var n=t.CSS.supports("--css-vars","yes"),i=t.CSS.supports("(--css-vars: yes)")&&t.CSS.supports("color","#00000000");return m=!(!n&&!i||function(t){var e=t.document,n=e.createElement("div");n.className="mdc-ripple-surface--test-edge-var-bug",e.body.appendChild(n);var i=t.getComputedStyle(n),a=null!==i&&"solid"===i.borderTopStyle;return n.remove(),a}(t))}}(window)},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isUnbounded:function(){return!1},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},isSurfaceActive:function(){return e.$el[s.MATCHES](":active")},isSurfaceDisabled:function(){return e.disabled},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t)},registerInteractionHandler:function(t,n){e.$el.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){e.$el.removeEventListener(t,n)},updateCssVariable:function(t,n){e.$set(e.styles,t,n)}},n)))}return n(s,y),e(s,null,[{key:"isSurfaceActive",value:function(t){return t[s.MATCHES](":active")}},{key:"MATCHES",get:function(){return s._matches||(s._matches=function(t){return["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(e){return e in t}).pop()}(HTMLElement.prototype))}}]),s}(),A=function(t){return{install:function(e){for(var n in t){var i=t[n];e.component(i.name,i)}},components:t}}({mdcTextField:{render:function(){var t=this,e=t.$createElement,n=t._self._c||e;return n("div",{staticClass:"mdc-textfield-wrapper"},[t.multiline&&t.fullwidth?n("div",{ref:"root",class:t.rootClasses},[n("textarea",{ref:"input",class:t.inputClasses,attrs:{rows:t.rows,minlength:t.minlength,maxlength:t.maxlength,"aria-controls":"help-"+t._uid,placeholder:t.label,"aria-label":t.label},domProps:{value:t.value},on:{input:function(e){t.updateValue(e.target.value)}}},[t._v("      >")])]):t.multiline?n("div",{ref:"root",class:t.rootClasses},[n("textarea",{ref:"input",class:t.inputClasses,attrs:{id:t._uid,rows:t.rows,cols:t.cols,minlength:t.minlength,maxlength:t.maxlength,"aria-controls":"help-"+t._uid},domProps:{value:t.value},on:{input:function(e){t.updateValue(e.target.value)}}}),t._v(" "),t.label?n("label",{ref:"label",class:t.labelClassesUpgraded,attrs:{for:t._uid}},[t._v(" "+t._s(t.label)+" ")]):t._e()]):t.fullwidth?n("div",{ref:"root",class:t.rootClasses},[n("input",{ref:"input",class:t.inputClasses,attrs:{type:t.type,required:t.required,minlength:t.minlength,maxlength:t.maxlength,"aria-controls":"help-"+t._uid,placeholder:t.label,"aria-label":t.label},domProps:{value:t.value},on:{input:function(e){t.updateValue(e.target.value)}}})]):n("div",{ref:"root",class:t.rootClasses},[n("input",{ref:"input",class:t.inputClasses,attrs:{type:t.type,id:t._uid,required:t.required,size:t.size,minlength:t.minlength,maxlength:t.maxlength,"aria-controls":"help-"+t._uid},domProps:{value:t.value},on:{input:function(e){t.updateValue(e.target.value)}}}),t._v(" "),t.label?n("label",{ref:"label",class:t.labelClassesUpgraded,attrs:{for:t._uid}},[t._v(" "+t._s(t.label)+" ")]):t._e(),t._v(" "),n("div",{ref:"bottom",class:t.bottomClasses})]),t._v(" "),t.helptext?n("p",{ref:"help",class:t.helpClasses,attrs:{id:"help-"+t._uid,"aria-hidden":"true"}},[t._v(" "+t._s(t.helptext)+" ")]):t._e()])},staticRenderFns:[],name:"mdc-textfield",props:{value:String,type:{type:String,default:"text",validator:function(t){return["text","email","search","password","tel","url"].includes(t)}},dense:Boolean,label:String,helptext:String,"helptext-persistent":Boolean,"helptext-validation":Boolean,disabled:Boolean,required:Boolean,minlength:{type:[Number,String],default:void 0},maxlength:{type:[Number,String],default:void 0},size:{type:[Number,String],default:20},fullwidth:Boolean,multiline:Boolean,rows:{type:[Number,String],default:8},cols:{type:[Number,String],default:40}},data:function(){return{text:this.value,rootClasses:{"mdc-textfield":!0,"mdc-text-field":!0,"mdc-text-field--upgraded":!0,"mdc-text-field--disabled":this.disabled,"mdc-text-field--dense":this.dense,"mdc-text-field--fullwidth":this.fullwidth,"mdc-text-field--textarea":this.multiline},inputClasses:{"mdc-text-field__input":!0},labelClasses:{"mdc-text-field__label":!0},bottomClasses:{"mdc-text-field__bottom-line":!0},helpClasses:{"mdc-text-field-helper-text":!0,"mdc-text-field-helper-text--persistent":this.helptextPersistent,"mdc-text-field-helper-text--validation-msg":this.helptextValidation}}},watch:{disabled:function(){this.foundation&&this.foundation.setDisabled(this.disabled)}},methods:{updateValue:function(t){this.$emit("input",t)}},computed:{labelClassesUpgraded:function(){return Object.assign(this.labelClasses,{"mdc-text-field__label--float-above":this.value})}},mounted:function(){var t=this;this.foundation=new v({addClass:function(e){t.$set(t.rootClasses,e,!0)},removeClass:function(e){t.$delete(t.rootClasses,e)},addClassToLabel:function(e){t.$set(t.labelClasses,e,!0)},removeClassFromLabel:function(e){t.$delete(t.labelClasses,e)},setIconAttr:function(){},eventTargetHasClass:function(t,e){return t.classList.contains(e)},registerTextFieldInteractionHandler:function(e,n){t.$refs.root.addEventListener(e,n)},deregisterTextFieldInteractionHandler:function(e,n){t.$refs.root.removeEventListener(e,n)},registerInputInteractionHandler:function(e,n){t.$refs.input.addEventListener(e,n)},deregisterInputInteractionHandler:function(e,n){t.$refs.input.removeEventListener(e,n)},getNativeInput:function(){return t.$refs.input},notifyIconAction:function(){t.$emit("icon")},registerBottomLineEventHandler:function(e,n){t.$refs.bottom&&t.$refs.bottom.addEventListener(e,n)},deregisterBottomLineEventHandler:function(e,n){t.$refs.bottom&&t.$refs.bottom.removeEventListener(e,n)},getBottomLineFoundation:function(){if(t.$refs.bottom)return t.bottomLineFoundation},getHelperTextFoundation:function(){if(t.$refs.help)return t.helperTextFoundation}}),this.$refs.bottom&&(this.bottomLineFoundation=new o({addClass:function(e){t.$set(t.bottomClasses,e,!0)},removeClass:function(e){t.$delete(t.bottomClasses,e)},setAttr:function(e,n){t.$refs.bottom.setAttribute(e,n)},registerEventHandler:function(e,n){t.$refs.bottom.addEventListener(e,n)},deregisterEventHandler:function(e,n){t.$refs.bottom.removeEventListener(e,n)},notifyAnimationEnd:function(){!function(t,e,n){var i=arguments.length>3&&void 0!==arguments[3]&&arguments[3],a=void 0;"function"==typeof CustomEvent?a=new CustomEvent(e,{detail:n,bubbles:i}):(a=document.createEvent("CustomEvent")).initCustomEvent(e,i,!1,n),t.dispatchEvent(a)}(t.$refs.bottom,o.strings.ANIMATION_END_EVENT,{})}}),this.bottomLineFoundation.init()),this.$refs.help&&(this.helperTextFoundation=new d({addClass:function(e){t.$set(t.helpClasses,e,!0)},removeClass:function(e){t.$delete(t.helpClasses,e)},hasClass:function(e){return t.$refs.help.classList.contains(e)},setAttr:function(e,n){t.$refs.help.setAttribute(e,n)},removeAttr:function(e){t.$refs.help.removeAttribute(e)},setContent:function(e){t.$refs.help.textContent=e}}),this.helperTextFoundation.init()),this.foundation.init(),this.foundation.setDisabled(this.disabled),this.textbox&&(this.ripple=new C(this),this.ripple.init())},beforeDestroy:function(){this.foundation.destroy(),this.ripple&&this.ripple.destroy()}}});return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(A),A});
//# sourceMappingURL=index.min.js.map
