/**
  * @module vue-mdc-adaptertoolbar 0.5.2
  * @exports VueMDCToolbar
  * @copyright (c) 2017-present, Sebastien Tasson
  * @license https://opensource.org/licenses/MIT
  * @implements {"material-components-web":"0.26.0"}
  * @requires {"vue":"^2.5.6"}
  * @see https://github.com/stasson/vue-mdc-adapter
  */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCToolbar=e()}(this,function(){"use strict";function t(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:window,e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===u||e){var i=!1;try{t.document.addEventListener("test",null,{get passive(){i=!0}})}catch(t){}u=i}return!!u&&{passive:!0}}var e=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},i=function(){function t(t,e){for(var i=0;i<e.length;i++){var a=e[i];a.enumerable=a.enumerable||!1,a.configurable=!0,"value"in a&&(a.writable=!0),Object.defineProperty(t,a.key,a)}}return function(e,i,a){return i&&t(e.prototype,i),a&&t(e,a),e}}(),a=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)},n=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},s=function(){function t(){var i=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e(this,t),this.adapter_=i}return i(t,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),i(t,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),t}(),r={FIXED:"mdc-toolbar--fixed",FIXED_LASTROW:"mdc-toolbar--fixed-lastrow-only",FIXED_AT_LAST_ROW:"mdc-toolbar--fixed-at-last-row",TOOLBAR_ROW_FLEXIBLE:"mdc-toolbar--flexible",FLEXIBLE_DEFAULT_BEHAVIOR:"mdc-toolbar--flexible-default-behavior",FLEXIBLE_MAX:"mdc-toolbar--flexible-space-maximized",FLEXIBLE_MIN:"mdc-toolbar--flexible-space-minimized"},o={TITLE_SELECTOR:".mdc-toolbar__title",FIRST_ROW_SELECTOR:".mdc-toolbar__row:first-child",CHANGE_EVENT:"MDCToolbar:change"},l={MAX_TITLE_SIZE:2.125,MIN_TITLE_SIZE:1.25,TOOLBAR_ROW_HEIGHT:64,TOOLBAR_ROW_MOBILE_HEIGHT:56,TOOLBAR_MOBILE_BREAKPOINT:600},c=function(t){function c(t){e(this,c);var i=n(this,(c.__proto__||Object.getPrototypeOf(c)).call(this,Object.assign(c.defaultAdapter,t)));return i.resizeHandler_=function(){return i.checkRowHeight_()},i.scrollHandler_=function(){return i.updateToolbarStyles_()},i.checkRowHeightFrame_=0,i.scrollFrame_=0,i.executedLastChange_=!1,i.calculations_={toolbarRowHeight:0,toolbarRatio:0,flexibleExpansionRatio:0,maxTranslateYRatio:0,scrollThresholdRatio:0,toolbarHeight:0,flexibleExpansionHeight:0,maxTranslateYDistance:0,scrollThreshold:0},i.fixed_=!1,i.fixedLastrow_=!1,i.hasFlexibleRow_=!1,i.useFlexDefaultBehavior_=!1,i}return a(c,s),i(c,null,[{key:"cssClasses",get:function(){return r}},{key:"strings",get:function(){return o}},{key:"numbers",get:function(){return l}},{key:"defaultAdapter",get:function(){return{hasClass:function(){return!1},addClass:function(){},removeClass:function(){},registerScrollHandler:function(){},deregisterScrollHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},getViewportWidth:function(){return 0},getViewportScrollY:function(){return 0},getOffsetHeight:function(){return 0},getFirstRowElementOffsetHeight:function(){return 0},notifyChange:function(){},setStyle:function(){},setStyleForTitleElement:function(){},setStyleForFlexibleRowElement:function(){},setStyleForFixedAdjustElement:function(){}}}}]),i(c,[{key:"init",value:function(){this.fixed_=this.adapter_.hasClass(c.cssClasses.FIXED),this.fixedLastrow_=this.adapter_.hasClass(c.cssClasses.FIXED_LASTROW)&this.fixed_,this.hasFlexibleRow_=this.adapter_.hasClass(c.cssClasses.TOOLBAR_ROW_FLEXIBLE),this.hasFlexibleRow_&&(this.useFlexDefaultBehavior_=this.adapter_.hasClass(c.cssClasses.FLEXIBLE_DEFAULT_BEHAVIOR)),this.initKeyRatio_(),this.setKeyHeights_(),this.adapter_.registerResizeHandler(this.resizeHandler_),this.adapter_.registerScrollHandler(this.scrollHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterResizeHandler(this.resizeHandler_),this.adapter_.deregisterScrollHandler(this.scrollHandler_)}},{key:"updateAdjustElementStyles",value:function(){this.fixed_&&this.adapter_.setStyleForFixedAdjustElement("margin-top",this.calculations_.toolbarHeight+"px")}},{key:"getFlexibleExpansionRatio_",value:function(t){return Math.max(0,1-t/(this.calculations_.flexibleExpansionHeight+1e-4))}},{key:"checkRowHeight_",value:function(){var t=this;cancelAnimationFrame(this.checkRowHeightFrame_),this.checkRowHeightFrame_=requestAnimationFrame(function(){return t.setKeyHeights_()})}},{key:"setKeyHeights_",value:function(){var t=this.getRowHeight_();t!==this.calculations_.toolbarRowHeight&&(this.calculations_.toolbarRowHeight=t,this.calculations_.toolbarHeight=this.calculations_.toolbarRatio*this.calculations_.toolbarRowHeight,this.calculations_.flexibleExpansionHeight=this.calculations_.flexibleExpansionRatio*this.calculations_.toolbarRowHeight,this.calculations_.maxTranslateYDistance=this.calculations_.maxTranslateYRatio*this.calculations_.toolbarRowHeight,this.calculations_.scrollThreshold=this.calculations_.scrollThresholdRatio*this.calculations_.toolbarRowHeight,this.updateAdjustElementStyles(),this.updateToolbarStyles_())}},{key:"updateToolbarStyles_",value:function(){var t=this;cancelAnimationFrame(this.scrollFrame_),this.scrollFrame_=requestAnimationFrame(function(){var e=t.adapter_.getViewportScrollY(),i=t.scrolledOutOfThreshold_(e);if(!i||!t.executedLastChange_){var a=t.getFlexibleExpansionRatio_(e);t.updateToolbarFlexibleState_(a),t.fixedLastrow_&&t.updateToolbarFixedState_(e),t.hasFlexibleRow_&&t.updateFlexibleRowElementStyles_(a),t.executedLastChange_=i,t.adapter_.notifyChange({flexibleExpansionRatio:a})}})}},{key:"scrolledOutOfThreshold_",value:function(t){return t>this.calculations_.scrollThreshold}},{key:"initKeyRatio_",value:function(){var t=this.getRowHeight_(),e=this.adapter_.getFirstRowElementOffsetHeight()/t;this.calculations_.toolbarRatio=this.adapter_.getOffsetHeight()/t,this.calculations_.flexibleExpansionRatio=e-1,this.calculations_.maxTranslateYRatio=this.fixedLastrow_?this.calculations_.toolbarRatio-e:0,this.calculations_.scrollThresholdRatio=(this.fixedLastrow_?this.calculations_.toolbarRatio:e)-1}},{key:"getRowHeight_",value:function(){var t=c.numbers.TOOLBAR_MOBILE_BREAKPOINT;return this.adapter_.getViewportWidth()<t?c.numbers.TOOLBAR_ROW_MOBILE_HEIGHT:c.numbers.TOOLBAR_ROW_HEIGHT}},{key:"updateToolbarFlexibleState_",value:function(t){this.adapter_.removeClass(c.cssClasses.FLEXIBLE_MAX),this.adapter_.removeClass(c.cssClasses.FLEXIBLE_MIN),1===t?this.adapter_.addClass(c.cssClasses.FLEXIBLE_MAX):0===t&&this.adapter_.addClass(c.cssClasses.FLEXIBLE_MIN)}},{key:"updateToolbarFixedState_",value:function(t){var e=Math.max(0,Math.min(t-this.calculations_.flexibleExpansionHeight,this.calculations_.maxTranslateYDistance));this.adapter_.setStyle("transform","translateY("+-e+"px)"),e===this.calculations_.maxTranslateYDistance?this.adapter_.addClass(c.cssClasses.FIXED_AT_LAST_ROW):this.adapter_.removeClass(c.cssClasses.FIXED_AT_LAST_ROW)}},{key:"updateFlexibleRowElementStyles_",value:function(t){if(this.fixed_){var e=this.calculations_.flexibleExpansionHeight*t;this.adapter_.setStyleForFlexibleRowElement("height",e+this.calculations_.toolbarRowHeight+"px")}this.useFlexDefaultBehavior_&&this.updateElementStylesDefaultBehavior_(t)}},{key:"updateElementStylesDefaultBehavior_",value:function(t){var e=c.numbers.MAX_TITLE_SIZE,i=c.numbers.MIN_TITLE_SIZE,a=(e-i)*t+i;this.adapter_.setStyleForTitleElement("font-size",a+"rem")}}]),c}(),u=void 0,d={render:function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("header",{staticClass:"mdc-toolbar-wrapper"},[i("div",{ref:"root",class:t.rootClasses,style:t.rootStyles},[t._t("default")],2),t._v(" "),t.fixed||t.waterfall||t.fixedLastrow?i("div",{ref:"fixed-adjust",staticClass:"mdc-toolbar-fixed-adjust",style:t.adjustStyles}):t._e()])},staticRenderFns:[],name:"mdc-toolbar",props:{fixed:Boolean,waterfall:Boolean,"fixed-lastrow":Boolean,flexible:Boolean,"flexible-default":{type:Boolean,default:!0}},data:function(){return{rootClasses:{"mdc-toolbar":!0,"mdc-toolbar--fixed":this.fixed||this.waterfall||this.fixedLastrow,"mdc-toolbar--waterfall":this.waterfall,"mdc-toolbar--fixed-lastrow-only":this.fixedLastrow,"mdc-toolbar--flexible":this.flexible,"mdc-toolbar--flexible-default-behavior":this.flexible&&this.flexibleDefault},rootStyles:{},adjustStyles:{},foundation:null}},mounted:function(){var e=this;this.foundation=new c({addClass:function(t){e.$set(e.rootClasses,t,!0)},removeClass:function(t){e.$delete(e.rootClasses,t)},hasClass:function(t){return e.$refs.root.classList.contains(t)},registerScrollHandler:function(e){window.addEventListener("scroll",e,t())},deregisterScrollHandler:function(e){window.removeEventListener("scroll",e,t())},registerResizeHandler:function(t){window.addEventListener("resize",t)},deregisterResizeHandler:function(t){window.removeEventListener("resize",t)},getViewportWidth:function(){return window.innerWidth},getViewportScrollY:function(){return window.pageYOffset},getOffsetHeight:function(){return e.$refs.root.offsetHeight},getFirstRowElementOffsetHeight:function(){var t=e.$refs.root.querySelector(c.strings.FIRST_ROW_SELECTOR);return t?t.offsetHeight:void 0},notifyChange:function(t){e.$emit("change",t)},setStyle:function(t,i){e.$set(e.rootStyles,t,i)},setStyleForTitleElement:function(t,i){var a=e.$refs.root.querySelector(c.strings.TITLE_SELECTOR);a&&a.style.setProperty(t,i)},setStyleForFlexibleRowElement:function(t,i){var a=e.$refs.root.querySelector(c.strings.FIRST_ROW_SELECTOR);a&&a.style.setProperty(t,i)},setStyleForFixedAdjustElement:function(t,i){e.$set(e.adjustStyles,t,i)}}),this.foundation.init()},beforeDestroy:function(){this.foundation.destroy()}},f={render:function(){var t=this.$createElement;return(this._self._c||t)("section",{staticClass:"mdc-toolbar-section mdc-toolbar__section",class:this.classes},[this._t("default")],2)},staticRenderFns:[],name:"mdc-toolbar-section",props:{"align-start":Boolean,"align-end":Boolean,"shrink-to-fit":Boolean},data:function(){return{classes:{"mdc-toolbar__section--align-start":this.alignStart,"mdc-toolbar__section--align-end":this.alignEnd,"mdc-toolbar__section--shrink-to-fit":this.shrinkToFit}}}},_={props:{event:{type:String,required:!1},"event-target":{type:Object,required:!1},"event-args":{type:Array,required:!1}},methods:{dispatchEvent:function(t){if(this.$emit(t.type),this.event){var e=this.eventTarget||this.$root,i=this.eventArgs||[];e.$emit.apply(e,[this.event].concat(function(t){if(Array.isArray(t)){for(var e=0,i=Array(t.length);e<t.length;e++)i[e]=t[e];return i}return Array.from(t)}(i)))}}}},h=(function(){function t(){e(this,t)}i(t,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"registerResizeHandler",value:function(t){}},{key:"deregisterResizeHandler",value:function(t){}},{key:"updateCssVariable",value:function(t,e){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",BG_ACTIVE_FILL:"mdc-ripple-upgraded--background-active-fill",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),v={VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},p={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:300,FG_DEACTIVATION_MS:83},m=void 0,g={mouseup:"mousedown",pointerup:"pointerdown",touchend:"touchstart",keyup:"keydown",blur:"focus"},y=function(t){function r(t){e(this,r);var i=n(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign(r.defaultAdapter,t)));return i.layoutFrame_=0,i.frame_={width:0,height:0},i.activationState_=i.defaultActivationState_(),i.xfDuration_=0,i.initialSize_=0,i.maxRadius_=0,i.listenerInfos_=[{activate:"touchstart",deactivate:"touchend"},{activate:"pointerdown",deactivate:"pointerup"},{activate:"mousedown",deactivate:"mouseup"},{activate:"keydown",deactivate:"keyup"},{focus:"focus",blur:"blur"}],i.listeners_={activate:function(t){return i.activate_(t)},deactivate:function(t){return i.deactivate_(t)},focus:function(){return requestAnimationFrame(function(){return i.adapter_.addClass(r.cssClasses.BG_FOCUSED)})},blur:function(){return requestAnimationFrame(function(){return i.adapter_.removeClass(r.cssClasses.BG_FOCUSED)})}},i.resizeHandler_=function(){return i.layout()},i.unboundedCoords_={left:0,top:0},i.fgScale_=0,i.activationTimer_=0,i.fgDeactivationRemovalTimer_=0,i.activationAnimationHasEnded_=!1,i.activationTimerCallback_=function(){i.activationAnimationHasEnded_=!0,i.runDeactivationUXLogicIfReady_()},i}return a(r,s),i(r,null,[{key:"cssClasses",get:function(){return h}},{key:"strings",get:function(){return v}},{key:"numbers",get:function(){return p}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),i(r,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationStartTime:0,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var t=this;if(this.isSupported_()){this.addEventListeners_();var e=r.cssClasses,i=e.ROOT,a=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.addClass(i),t.adapter_.isUnbounded()&&t.adapter_.addClass(a),t.layoutInternal_()})}}},{key:"addEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(i){t.adapter_.registerInteractionHandler(e[i],t.listeners_[i])})}),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"activate_",value:function(t){var e=this;if(!this.adapter_.isSurfaceDisabled()){var i=this.activationState_;i.isActivated||(i.isActivated=!0,i.isProgrammatic=null===t,i.activationEvent=t,i.wasActivatedByPointer=!i.isProgrammatic&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type),i.activationStartTime=Date.now(),requestAnimationFrame(function(){i.wasElementMadeActive=!t||"keydown"!==t.type||e.adapter_.isSurfaceActive(),i.wasElementMadeActive?e.animateActivation_():e.activationState_=e.defaultActivationState_()}))}}},{key:"activate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(t)}},{key:"animateActivation_",value:function(){var t=this,e=r.strings,i=e.VAR_FG_TRANSLATE_START,a=e.VAR_FG_TRANSLATE_END,n=r.cssClasses,s=n.BG_ACTIVE_FILL,o=n.FG_DEACTIVATION,l=n.FG_ACTIVATION,c=r.numbers.DEACTIVATION_TIMEOUT_MS,u="",d="";if(!this.adapter_.isUnbounded()){var f=this.getFgTranslationCoordinates_(),_=f.startPoint,h=f.endPoint;u=_.x+"px, "+_.y+"px",d=h.x+"px, "+h.y+"px"}this.adapter_.updateCssVariable(i,u),this.adapter_.updateCssVariable(a,d),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(o),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.adapter_.addClass(l),this.activationTimer_=setTimeout(function(){return t.activationTimerCallback_()},c)}},{key:"getFgTranslationCoordinates_",value:function(){var t=this.activationState_,e=t.activationEvent,i=void 0;return{startPoint:i={x:(i=t.wasActivatedByPointer?function(t,e,i){var a=e.x,n=e.y,s=a+i.left,r=n+i.top,o=void 0,l=void 0;return"touchstart"===t.type?(o=t.changedTouches[0].pageX-s,l=t.changedTouches[0].pageY-r):(o=t.pageX-s,l=t.pageY-r),{x:o,y:l}}(e,this.adapter_.getWindowPageOffset(),this.adapter_.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2}).x-this.initialSize_/2,y:i.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var t=this,e=r.cssClasses.FG_DEACTIVATION,i=this.activationState_,a=i.hasDeactivationUXRun,n=i.isActivated;(a||!n)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(e),this.fgDeactivationRemovalTimer_=setTimeout(function(){t.adapter_.removeClass(e)},p.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var t=r.cssClasses,e=t.BG_ACTIVE_FILL,i=t.FG_ACTIVATION;this.adapter_.removeClass(e),this.adapter_.removeClass(i),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"deactivate_",value:function(t){var e=this,i=this.activationState_;if(i.isActivated){if(i.isProgrammatic){var a=Object.assign({},i);return requestAnimationFrame(function(){return e.animateDeactivation_(null,a)}),void(this.activationState_=this.defaultActivationState_())}var n=g[t.type]===i.activationEvent.type,s=n;i.wasActivatedByPointer&&(s="mouseup"===t.type);var r=Object.assign({},i);requestAnimationFrame(function(){n&&(e.activationState_.hasDeactivationUXRun=!0,e.animateDeactivation_(t,r)),s&&(e.activationState_=e.defaultActivationState_())})}}},{key:"deactivate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(t)}},{key:"animateDeactivation_",value:function(t,e){var i=e.wasActivatedByPointer,a=e.wasElementMadeActive,n=r.cssClasses.BG_FOCUSED;(i||a)&&(this.adapter_.removeClass(n),this.runDeactivationUXLogicIfReady_())}},{key:"destroy",value:function(){var t=this;if(this.isSupported_()){this.removeEventListeners_();var e=r.cssClasses,i=e.ROOT,a=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.removeClass(i),t.adapter_.removeClass(a),t.removeCssVars_()})}}},{key:"removeEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(i){t.adapter_.deregisterInteractionHandler(e[i],t.listeners_[i])})}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"removeCssVars_",value:function(){var t=this,e=r.strings;Object.keys(e).forEach(function(i){0===i.indexOf("VAR_")&&t.adapter_.updateCssVariable(e[i],null)})}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){this.frame_=this.adapter_.computeBoundingRect();var t=Math.max(this.frame_.height,this.frame_.width),e=Math.sqrt(Math.pow(this.frame_.width,2)+Math.pow(this.frame_.height,2));this.initialSize_=t*r.numbers.INITIAL_ORIGIN_SCALE,this.maxRadius_=e+r.numbers.PADDING,this.fgScale_=this.maxRadius_/this.initialSize_,this.xfDuration_=1e3*Math.sqrt(this.maxRadius_/1024),this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var t=r.strings,e=t.VAR_FG_SIZE,i=t.VAR_LEFT,a=t.VAR_TOP,n=t.VAR_FG_SCALE;this.adapter_.updateCssVariable(e,this.initialSize_+"px"),this.adapter_.updateCssVariable(n,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(i,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(a,this.unboundedCoords_.top+"px"))}}]),r}(),b=(function(t){function s(t,i){return e(this,s),n(this,(s.__proto__||Object.getPrototypeOf(s)).call(this,Object.assign({browserSupportsCssVars:function(){return function(t){var e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof m&&!e)return m;if(t.CSS&&"function"==typeof t.CSS.supports){var i=t.CSS.supports("--css-vars","yes"),a=t.CSS.supports("(--css-vars: yes)")&&t.CSS.supports("color","#00000000");return m=!(!i&&!a||function(t){var e=t.document,i=e.createElement("div");i.className="mdc-ripple-surface--test-edge-var-bug",e.body.appendChild(i);var a=t.getComputedStyle(i),n=null!==a&&"solid"===a.borderTopStyle;return i.remove(),n}(t))}}(window)},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isUnbounded:function(){return!1},computeBoundingRect:function(){return t.$el.getBoundingClientRect()},isSurfaceActive:function(){return t.$el[s.MATCHES](":active")},isSurfaceDisabled:function(){return t.disabled},addClass:function(e){t.$set(t.classes,e,!0)},removeClass:function(e){t.$delete(t.classes,e)},registerInteractionHandler:function(e,i){t.$el.addEventListener(e,i)},deregisterInteractionHandler:function(e,i){t.$el.removeEventListener(e,i)},updateCssVariable:function(e,i){t.$set(t.styles,e,i)}},i)))}a(s,y),i(s,null,[{key:"isSurfaceActive",value:function(t){return t[s.MATCHES](":active")}},{key:"MATCHES",get:function(){return s._matches||(s._matches=function(t){return["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(e){return e in t}).pop()}(HTMLElement.prototype))}}])}(),function(t){return{install:function(e){for(var i in t){var a=t[i];e.component(a.name,a)}},components:t}}({mdcToolbar:d,mdcToolbarRow:{render:function(){var t=this.$createElement;return(this._self._c||t)("div",{staticClass:"mdc-toolbar-row mdc-toolbar__row"},[this._t("default")],2)},staticRenderFns:[],name:"mdc-toolbar-row"},mdcToolbarSection:f,mdcToolbarMenuIcon:{render:function(){var t=this.$createElement;return(this._self._c||t)("a",{staticClass:"mdc-toolbar-menu-icon mdc-toolbar__menu-icon",class:{"material-icons":!!this.icon},on:{click:this.dispatchEvent}},[this._t("default",[this._v(this._s(this.icon))])],2)},staticRenderFns:[],name:"mdc-toolbar-menu-icon",mixins:[_],props:{icon:{type:String,default:"menu"}}},mdcToolbarTitle:{render:function(){var t=this.$createElement;return(this._self._c||t)("a",{staticClass:"mdc-toolbar-title mdc-toolbar__title",on:{click:this.dispatchEvent}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-toolbar-title",mixins:[_]},mdcToolbarIcon:{render:function(){var t=this.$createElement;return(this._self._c||t)("a",{staticClass:"mdc-toolbar-icon mdc-toolbar__icon",class:{"material-icons":!!this.icon},on:{click:this.dispatchEvent}},[this._t("default",[this._v(this._s(this.icon))])],2)},staticRenderFns:[],name:"mdc-toolbar-icon",mixins:[_],props:{icon:String}}}));return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(b),b});
//# sourceMappingURL=index.min.js.map
